=== modified file 'bzrlib/_annotator_py.py'
--- bzrlib/_annotator_py.py	2010-06-04 03:09:35 +0000
+++ bzrlib/_annotator_py.py	2010-06-17 09:23:19 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/add.py'
--- bzrlib/add.py	2010-06-21 21:50:57 +0000
+++ bzrlib/add.py	2010-06-23 08:19:28 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/annotate.py'
--- bzrlib/annotate.py	2010-06-04 03:09:35 +0000
+++ bzrlib/annotate.py	2010-06-17 09:23:19 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/benchmarks/bench_commit.py'
--- bzrlib/benchmarks/bench_commit.py	2009-03-23 14:59:43 +0000
+++ bzrlib/benchmarks/bench_commit.py	2010-06-20 11:18:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -20,7 +20,6 @@
 
 from bzrlib.benchmarks import Benchmark
 from bzrlib.transport.memory import MemoryServer
-from bzrlib.transport import get_transport
 
 
 class CommitBenchmark(Benchmark):

=== modified file 'bzrlib/breakin.py'
--- bzrlib/breakin.py	2010-06-02 04:50:35 +0000
+++ bzrlib/breakin.py	2010-06-17 09:23:19 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2009 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/btree_index.py'
--- bzrlib/btree_index.py	2010-03-25 12:32:24 +0000
+++ bzrlib/btree_index.py	2010-06-20 11:18:38 +0000
@@ -33,9 +33,9 @@
     osutils,
     static_tuple,
     trace,
+    transport,
     )
 from bzrlib.index import _OPTION_NODE_REFS, _OPTION_KEY_ELEMENTS, _OPTION_LEN
-from bzrlib.transport import get_transport
 
 
 _BTSIGNATURE = "B+Tree Graph Index 2\n"
@@ -193,7 +193,8 @@
             new_backing_file, size = self._spill_mem_keys_without_combining()
         # Note: The transport here isn't strictly needed, because we will use
         #       direct access to the new_backing._file object
-        new_backing = BTreeGraphIndex(get_transport('.'), '<temp>', size)
+        new_backing = BTreeGraphIndex(transport.get_transport('.'),
+                                      '<temp>', size)
         # GC will clean up the file
         new_backing._file = new_backing_file
         if self._combine_backing_indices:

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2010-06-17 08:53:15 +0000
+++ bzrlib/builtins.py	2010-06-23 08:19:28 +0000
@@ -4920,17 +4920,17 @@
 
     def run(self, port=None, inet=False, directory=None, allow_writes=False,
             protocol=None):
-        from bzrlib.transport import get_transport, transport_server_registry
+        from bzrlib import transport
         if directory is None:
             directory = os.getcwd()
         if protocol is None:
-            protocol = transport_server_registry.get()
+            protocol = transport.transport_server_registry.get()
         host, port = self.get_host_and_port(port)
         url = urlutils.local_path_to_url(directory)
         if not allow_writes:
             url = 'readonly+' + url
-        transport = get_transport(url)
-        protocol(transport, host, port, inet)
+        t = transport.get_transport(url)
+        protocol(t, host, port, inet)
 
 
 class cmd_join(Command):

=== modified file 'bzrlib/filters/eol.py'
--- bzrlib/filters/eol.py	2010-06-02 04:56:07 +0000
+++ bzrlib/filters/eol.py	2010-06-17 09:23:19 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2010-06-25 20:34:05 +0000
+++ bzrlib/osutils.py	2010-06-29 17:46:25 +0000
@@ -18,7 +18,6 @@
 import os
 import re
 import stat
-from stat import S_ISREG, S_ISDIR, S_ISLNK, ST_MODE, ST_SIZE
 import sys
 import time
 import codecs
@@ -27,23 +26,18 @@
 lazy_import(globals(), """
 from datetime import datetime
 import getpass
-from ntpath import (abspath as _nt_abspath,
-                    join as _nt_join,
-                    normpath as _nt_normpath,
-                    realpath as _nt_realpath,
-                    splitdrive as _nt_splitdrive,
-                    )
+import ntpath
 import posixpath
+# We need to import both shutil and rmtree as we export the later on posix
+# and need the former on windows
 import shutil
-from shutil import (
-    rmtree,
-    )
+from shutil import rmtree
 import socket
 import subprocess
+# We need to import both tempfile and mkdtemp as we export the later on posix
+# and need the former on windows
 import tempfile
-from tempfile import (
-    mkdtemp,
-    )
+from tempfile import mkdtemp
 import unicodedata
 
 from bzrlib import (
@@ -304,13 +298,13 @@
     running python.exe under cmd.exe return capital C:\\
     running win32 python inside a cygwin shell returns lowercase c:\\
     """
-    drive, path = _nt_splitdrive(path)
+    drive, path = ntpath.splitdrive(path)
     return drive.upper() + path
 
 
 def _win32_abspath(path):
-    # Real _nt_abspath doesn't have a problem with a unicode cwd
-    return _win32_fixdrive(_nt_abspath(unicode(path)).replace('\\', '/'))
+    # Real ntpath.abspath doesn't have a problem with a unicode cwd
+    return _win32_fixdrive(ntpath.abspath(unicode(path)).replace('\\', '/'))
 
 
 def _win98_abspath(path):
@@ -327,30 +321,30 @@
     #   /path       => C:/path
     path = unicode(path)
     # check for absolute path
-    drive = _nt_splitdrive(path)[0]
+    drive = ntpath.splitdrive(path)[0]
     if drive == '' and path[:2] not in('//','\\\\'):
         cwd = os.getcwdu()
         # we cannot simply os.path.join cwd and path
         # because os.path.join('C:','/path') produce '/path'
         # and this is incorrect
         if path[:1] in ('/','\\'):
-            cwd = _nt_splitdrive(cwd)[0]
+            cwd = ntpath.splitdrive(cwd)[0]
             path = path[1:]
         path = cwd + '\\' + path
-    return _win32_fixdrive(_nt_normpath(path).replace('\\', '/'))
+    return _win32_fixdrive(ntpath.normpath(path).replace('\\', '/'))
 
 
 def _win32_realpath(path):
-    # Real _nt_realpath doesn't have a problem with a unicode cwd
-    return _win32_fixdrive(_nt_realpath(unicode(path)).replace('\\', '/'))
+    # Real ntpath.realpath doesn't have a problem with a unicode cwd
+    return _win32_fixdrive(ntpath.realpath(unicode(path)).replace('\\', '/'))
 
 
 def _win32_pathjoin(*args):
-    return _nt_join(*args).replace('\\', '/')
+    return ntpath.join(*args).replace('\\', '/')
 
 
 def _win32_normpath(path):
-    return _win32_fixdrive(_nt_normpath(unicode(path)).replace('\\', '/'))
+    return _win32_fixdrive(ntpath.normpath(unicode(path)).replace('\\', '/'))
 
 
 def _win32_getcwd():
@@ -358,7 +352,7 @@
 
 
 def _win32_mkdtemp(*args, **kwargs):
-    return _win32_fixdrive(tempfile.mkdtemp(*args, **kwargs).replace('\\', '/'))
+    return _win32_fixdrive(mkdtemp(*args, **kwargs).replace('\\', '/'))
 
 
 def _win32_rename(old, new):
@@ -395,7 +389,7 @@
 basename = os.path.basename
 split = os.path.split
 splitext = os.path.splitext
-# These were already imported into local scope
+# These were already lazily imported into local scope
 # mkdtemp = tempfile.mkdtemp
 # rmtree = shutil.rmtree
 
@@ -509,7 +503,7 @@
 def isdir(f):
     """True if f is an accessible directory."""
     try:
-        return S_ISDIR(os.lstat(f)[ST_MODE])
+        return stat.S_ISDIR(os.lstat(f)[stat.ST_MODE])
     except OSError:
         return False
 
@@ -517,14 +511,14 @@
 def isfile(f):
     """True if f is a regular file."""
     try:
-        return S_ISREG(os.lstat(f)[ST_MODE])
+        return stat.S_ISREG(os.lstat(f)[stat.ST_MODE])
     except OSError:
         return False
 
 def islink(f):
     """True if f is a symlink."""
     try:
-        return S_ISLNK(os.lstat(f)[ST_MODE])
+        return stat.S_ISLNK(os.lstat(f)[stat.ST_MODE])
     except OSError:
         return False
 
@@ -870,7 +864,7 @@
 
 def filesize(f):
     """Return size of given open file."""
-    return os.fstat(f.fileno())[ST_SIZE]
+    return os.fstat(f.fileno())[stat.ST_SIZE]
 
 
 # Define rand_bytes based on platform.

=== modified file 'bzrlib/plugins/launchpad/account.py'
--- bzrlib/plugins/launchpad/account.py	2009-04-27 16:10:10 +0000
+++ bzrlib/plugins/launchpad/account.py	2010-06-20 11:18:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2008 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -20,9 +20,12 @@
 than once for each place that needs to take it into account.
 """
 
-from bzrlib import errors, trace
+from bzrlib import (
+    errors,
+    trace,
+    transport,
+    )
 from bzrlib.config import AuthenticationConfig, GlobalConfig
-from bzrlib.transport import get_transport
 
 
 LAUNCHPAD_BASE = 'https://launchpad.net/'
@@ -97,7 +100,7 @@
     uploaded SSH keys.
     """
     if _transport is None:
-        _transport = get_transport(LAUNCHPAD_BASE)
+        _transport = transport.get_transport(LAUNCHPAD_BASE)
 
     try:
         data = _transport.get_bytes('~%s/+sshkeys' % username)

=== modified file 'bzrlib/plugins/launchpad/test_lp_directory.py'
--- bzrlib/plugins/launchpad/test_lp_directory.py	2010-05-20 18:23:10 +0000
+++ bzrlib/plugins/launchpad/test_lp_directory.py	2010-06-20 11:18:38 +0000
@@ -22,6 +22,7 @@
 from bzrlib import (
     errors,
     tests,
+    transport,
     )
 from bzrlib.branch import Branch
 from bzrlib.directory_service import directories
@@ -29,7 +30,6 @@
     TestCaseInTempDir,
     TestCaseWithMemoryTransport
 )
-from bzrlib.transport import get_transport
 from bzrlib.plugins.launchpad import (
     _register_directory,
     lp_registration,
@@ -217,8 +217,8 @@
         directories.register('lp:', FooService, 'Map lp URLs to local urls')
         self.addCleanup(_register_directory)
         self.addCleanup(directories.remove, 'lp:')
-        transport = get_transport('lp:///apt')
-        branch = Branch.open_from_transport(transport)
+        t = transport.get_transport('lp:///apt')
+        branch = Branch.open_from_transport(t)
         self.assertEqual(target_branch.base, branch.base)
 
 

=== modified file 'bzrlib/symbol_versioning.py'
--- bzrlib/symbol_versioning.py	2010-06-25 06:11:21 +0000
+++ bzrlib/symbol_versioning.py	2010-06-29 16:21:13 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2010-06-25 06:12:56 +0000
+++ bzrlib/tests/__init__.py	2010-06-29 16:21:13 +0000
@@ -29,7 +29,7 @@
 
 import atexit
 import codecs
-from copy import copy
+import copy
 from cStringIO import StringIO
 import difflib
 import doctest
@@ -37,12 +37,12 @@
 import logging
 import math
 import os
-from pprint import pformat
+import pprint
 import random
 import re
 import shlex
 import stat
-from subprocess import Popen, PIPE, STDOUT
+import subprocess
 import sys
 import tempfile
 import threading
@@ -74,6 +74,7 @@
     ui,
     urlutils,
     registry,
+    transport as _mod_transport,
     workingtree,
     )
 import bzrlib.branch
@@ -103,11 +104,9 @@
     )
 import bzrlib.trace
 from bzrlib.transport import (
-    get_transport,
     memory,
     pathfilter,
     )
-import bzrlib.transport
 from bzrlib.trace import mutter, note
 from bzrlib.tests import (
     test_server,
@@ -943,7 +942,7 @@
 
     def permit_dir(self, name):
         """Permit a directory to be used by this test. See permit_url."""
-        name_transport = get_transport(name)
+        name_transport = _mod_transport.get_transport(name)
         self.permit_url(name)
         self.permit_url(name_transport.base)
 
@@ -1028,7 +1027,7 @@
         self.addCleanup(transport_server.stop_server)
         # Obtain a real transport because if the server supplies a password, it
         # will be hidden from the base on the client side.
-        t = get_transport(transport_server.get_url())
+        t = _mod_transport.get_transport(transport_server.get_url())
         # Some transport servers effectively chroot the backing transport;
         # others like SFTPServer don't - users of the transport can walk up the
         # transport to read the entire backing transport. This wouldn't matter
@@ -1095,7 +1094,7 @@
             message += '\n'
         raise AssertionError("%snot equal:\na = %s\nb = %s\n"
             % (message,
-               pformat(a), pformat(b)))
+               pprint.pformat(a), pprint.pformat(b)))
 
     assertEquals = assertEqual
 
@@ -1986,7 +1985,9 @@
             if not allow_plugins:
                 command.append('--no-plugins')
             command.extend(process_args)
-            process = self._popen(command, stdin=PIPE, stdout=PIPE, stderr=PIPE)
+            process = self._popen(command, stdin=subprocess.PIPE,
+                                  stdout=subprocess.PIPE,
+                                  stderr=subprocess.PIPE)
         finally:
             restore_environment()
             if cwd is not None:
@@ -2000,7 +2001,7 @@
         Allows tests to override this method to intercept the calls made to
         Popen for introspection.
         """
-        return Popen(*args, **kwargs)
+        return subprocess.Popen(*args, **kwargs)
 
     def get_source_path(self):
         """Return the path of the directory containing bzrlib."""
@@ -2186,7 +2187,7 @@
 
         :param relpath: a path relative to the base url.
         """
-        t = get_transport(self.get_url(relpath))
+        t = _mod_transport.get_transport(self.get_url(relpath))
         self.assertFalse(t.is_readonly())
         return t
 
@@ -2198,7 +2199,7 @@
 
         :param relpath: a path relative to the base url.
         """
-        t = get_transport(self.get_readonly_url(relpath))
+        t = _mod_transport.get_transport(self.get_readonly_url(relpath))
         self.assertTrue(t.is_readonly())
         return t
 
@@ -2334,7 +2335,7 @@
         propagating. This method ensures than a test did not leaked.
         """
         root = TestCaseWithMemoryTransport.TEST_ROOT
-        self.permit_url(get_transport(root).base)
+        self.permit_url(_mod_transport.get_transport(root).base)
         wt = workingtree.WorkingTree.open(root)
         last_rev = wt.last_revision()
         if last_rev != 'null:':
@@ -2385,7 +2386,7 @@
             # might be a relative or absolute path
             maybe_a_url = self.get_url(relpath)
             segments = maybe_a_url.rsplit('/', 1)
-            t = get_transport(maybe_a_url)
+            t = _mod_transport.get_transport(maybe_a_url)
             if len(segments) > 1 and segments[-1] not in ('', '.'):
                 t.ensure_base()
             if format is None:
@@ -2413,7 +2414,8 @@
             backing_server = self.get_server()
         smart_server = test_server.SmartTCPServer_for_testing()
         self.start_server(smart_server, backing_server)
-        remote_transport = get_transport(smart_server.get_url()).clone(path)
+        remote_transport = _mod_transport.get_transport(smart_server.get_url()
+                                                   ).clone(path)
         return remote_transport
 
     def make_branch_and_memory_tree(self, relpath, format=None):
@@ -2568,7 +2570,7 @@
                 "a list or a tuple. Got %r instead" % (shape,))
         # It's OK to just create them using forward slashes on windows.
         if transport is None or transport.is_readonly():
-            transport = get_transport(".")
+            transport = _mod_transport.get_transport(".")
         for name in shape:
             self.assertIsInstance(name, basestring)
             if name[-1] == '/':
@@ -3315,10 +3317,12 @@
                 '--subunit']
             if '--no-plugins' in sys.argv:
                 argv.append('--no-plugins')
-            # stderr=STDOUT would be ideal, but until we prevent noise on
-            # stderr it can interrupt the subunit protocol.
-            process = Popen(argv, stdin=PIPE, stdout=PIPE, stderr=PIPE,
-                bufsize=1)
+            # stderr=subprocess.STDOUT would be ideal, but until we prevent
+            # noise on stderr it can interrupt the subunit protocol.
+            process = subprocess.Popen(argv, stdin=subprocess.PIPE,
+                                      stdout=subprocess.PIPE,
+                                      stderr=subprocess.PIPE,
+                                      bufsize=1)
             test = TestInSubprocess(process, test_list_file_name)
             result.append(test)
         except:
@@ -4043,7 +4047,7 @@
     :param new_id: The id to assign to it.
     :return: The new test.
     """
-    new_test = copy(test)
+    new_test = copy.copy(test)
     new_test.id = lambda: new_id
     return new_test
 

=== modified file 'bzrlib/tests/blackbox/__init__.py'
--- bzrlib/tests/blackbox/__init__.py	2010-06-20 22:38:35 +0000
+++ bzrlib/tests/blackbox/__init__.py	2010-06-23 08:19:28 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2007, 2010 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_alias.py'
--- bzrlib/tests/blackbox/test_alias.py	2010-06-11 07:32:12 +0000
+++ bzrlib/tests/blackbox/test_alias.py	2010-06-23 08:19:28 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_aliases.py'
--- bzrlib/tests/blackbox/test_aliases.py	2010-06-11 07:32:12 +0000
+++ bzrlib/tests/blackbox/test_aliases.py	2010-06-23 08:19:28 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_cat_revision.py'
--- bzrlib/tests/blackbox/test_cat_revision.py	2010-06-11 06:52:28 +0000
+++ bzrlib/tests/blackbox/test_cat_revision.py	2010-06-23 08:19:28 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004-2010 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_check.py'
--- bzrlib/tests/blackbox/test_check.py	2010-06-11 07:32:12 +0000
+++ bzrlib/tests/blackbox/test_check.py	2010-06-23 08:19:28 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2009 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_dpush.py'
--- bzrlib/tests/blackbox/test_dpush.py	2010-06-20 22:38:35 +0000
+++ bzrlib/tests/blackbox/test_dpush.py	2010-06-23 08:19:28 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2007-2010 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_filesystem_cicp.py'
--- bzrlib/tests/blackbox/test_filesystem_cicp.py	2010-06-11 07:23:10 +0000
+++ bzrlib/tests/blackbox/test_filesystem_cicp.py	2010-06-23 08:19:28 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008, 2010 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_find_merge_base.py'
--- bzrlib/tests/blackbox/test_find_merge_base.py	2010-06-11 07:32:12 +0000
+++ bzrlib/tests/blackbox/test_find_merge_base.py	2010-06-23 08:19:28 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009, 2010 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_ignored.py'
--- bzrlib/tests/blackbox/test_ignored.py	2010-06-11 07:32:12 +0000
+++ bzrlib/tests/blackbox/test_ignored.py	2010-06-23 08:19:28 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2010 Canonical Ltd
+# Copyright (C) 2006, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_merge_directive.py'
--- bzrlib/tests/blackbox/test_merge_directive.py	2010-05-28 14:15:28 +0000
+++ bzrlib/tests/blackbox/test_merge_directive.py	2010-06-17 09:23:19 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_missing.py'
--- bzrlib/tests/blackbox/test_missing.py	2010-05-28 14:15:28 +0000
+++ bzrlib/tests/blackbox/test_missing.py	2010-06-17 09:23:19 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2008 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_modified.py'
--- bzrlib/tests/blackbox/test_modified.py	2010-06-11 07:32:12 +0000
+++ bzrlib/tests/blackbox/test_modified.py	2010-06-23 08:19:28 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006-2010 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_nick.py'
--- bzrlib/tests/blackbox/test_nick.py	2010-06-11 07:32:12 +0000
+++ bzrlib/tests/blackbox/test_nick.py	2010-06-23 08:19:28 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2010  Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_remove.py'
--- bzrlib/tests/blackbox/test_remove.py	2010-06-11 07:32:12 +0000
+++ bzrlib/tests/blackbox/test_remove.py	2010-06-23 08:19:28 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_remove_tree.py'
--- bzrlib/tests/blackbox/test_remove_tree.py	2010-06-11 07:32:12 +0000
+++ bzrlib/tests/blackbox/test_remove_tree.py	2010-06-23 08:19:28 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_revert.py'
--- bzrlib/tests/blackbox/test_revert.py	2010-06-11 07:32:12 +0000
+++ bzrlib/tests/blackbox/test_revert.py	2010-06-23 08:19:28 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2007 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_revision_info.py'
--- bzrlib/tests/blackbox/test_revision_info.py	2010-06-20 22:38:35 +0000
+++ bzrlib/tests/blackbox/test_revision_info.py	2010-06-23 08:19:28 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004-2005, 2009-2010 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_serve.py'
--- bzrlib/tests/blackbox/test_serve.py	2010-02-17 17:11:16 +0000
+++ bzrlib/tests/blackbox/test_serve.py	2010-06-20 11:18:38 +0000
@@ -31,6 +31,7 @@
     errors,
     osutils,
     revision as _mod_revision,
+    transport,
     urlutils,
     )
 from bzrlib.branch import Branch
@@ -43,7 +44,7 @@
     TestSkipped,
     )
 from bzrlib.trace import mutter
-from bzrlib.transport import get_transport, remote
+from bzrlib.transport import remote
 
 
 class TestBzrServeBase(TestCaseWithTransport):
@@ -192,8 +193,8 @@
     def test_bzr_serve_port_readonly(self):
         """bzr server should provide a read only filesystem by default."""
         process, url = self.start_server_port()
-        transport = get_transport(url)
-        self.assertRaises(errors.TransportNotPossible, transport.mkdir, 'adir')
+        t = transport.get_transport(url)
+        self.assertRaises(errors.TransportNotPossible, t.mkdir, 'adir')
         self.assertServerFinishesCleanly(process)
 
     def test_bzr_serve_port_readwrite(self):

=== modified file 'bzrlib/tests/blackbox/test_upgrade.py'
--- bzrlib/tests/blackbox/test_upgrade.py	2010-04-16 07:56:51 +0000
+++ bzrlib/tests/blackbox/test_upgrade.py	2010-06-20 11:18:38 +0000
@@ -21,6 +21,7 @@
 from bzrlib import (
     bzrdir,
     repository,
+    transport,
     )
 from bzrlib.tests import (
     features,
@@ -28,7 +29,6 @@
     TestCaseWithTransport,
     )
 from bzrlib.tests.test_sftp_transport import TestCaseWithSFTPServer
-from bzrlib.transport import get_transport
 from bzrlib.repofmt.knitrepo import (
     RepositoryFormatKnit1,
     )
@@ -79,7 +79,8 @@
         (out, err) = self.run_bzr('upgrade current_format_checkout', retcode=3)
         self.assertEqual("This is a checkout. The branch (%s) needs to be "
                          "upgraded separately.\n"
-                         % get_transport(self.get_url('current_format_branch')).base,
+                         % transport.get_transport(
+                self.get_url('current_format_branch')).base,
                          out)
         self.assertEqualDiff("bzr: ERROR: The branch format Meta "
                              "directory format 1 is already at the most "
@@ -101,7 +102,7 @@
     def test_upgrade_explicit_metaformat(self):
         # users can force an upgrade to metadir format.
         self.make_format_5_branch()
-        url = get_transport(self.get_url('format_5_branch')).base
+        url = transport.get_transport(self.get_url('format_5_branch')).base
         # check --format takes effect
         bzrdir.BzrDirFormat._set_default_format(bzrdir.BzrDirFormat5())
         backup_dir = 'backup.bzr.~1~'
@@ -125,7 +126,7 @@
         # users can force an upgrade to knit format from a metadir weave
         # branch
         self.make_metadir_weave_branch()
-        url = get_transport(self.get_url('metadir_weave_branch')).base
+        url = transport.get_transport(self.get_url('metadir_weave_branch')).base
         # check --format takes effect
         bzrdir.BzrDirFormat._set_default_format(bzrdir.BzrDirFormat5())
         backup_dir = 'backup.bzr.~1~'
@@ -163,14 +164,14 @@
 
     def test_upgrade_with_existing_backup_dir(self):
         self.make_format_5_branch()
-        transport = get_transport(self.get_url('format_5_branch'))
-        url = transport.base
+        t = transport.get_transport(self.get_url('format_5_branch'))
+        url = t.base
         bzrdir.BzrDirFormat._set_default_format(bzrdir.BzrDirFormat5())
         backup_dir1 = 'backup.bzr.~1~'
         backup_dir2 = 'backup.bzr.~2~'
         # explicitly create backup_dir1. bzr should create the .~2~ directory
         # as backup
-        transport.mkdir(backup_dir1)
+        t.mkdir(backup_dir1)
         (out, err) = self.run_bzr(
             ['upgrade', '--format=metaweave', url])
         self.assertEqualDiff("""starting upgrade of %s
@@ -186,14 +187,14 @@
         self.assertTrue(isinstance(
             bzrdir.BzrDir.open(self.get_url('format_5_branch'))._format,
             bzrdir.BzrDirMetaFormat1))
-        self.assertTrue(transport.has(backup_dir2))
+        self.assertTrue(t.has(backup_dir2))
 
 class SFTPTests(TestCaseWithSFTPServer):
     """Tests for upgrade over sftp."""
 
     def test_upgrade_url(self):
         self.run_bzr('init --format=weave')
-        t = get_transport(self.get_url())
+        t = transport.get_transport(self.get_url())
         url = t.base
         out, err = self.run_bzr(['upgrade', '--format=knit', url])
         backup_dir = 'backup.bzr.~1~'

=== modified file 'bzrlib/tests/blackbox/test_whoami.py'
--- bzrlib/tests/blackbox/test_whoami.py	2010-06-20 22:54:30 +0000
+++ bzrlib/tests/blackbox/test_whoami.py	2010-06-23 08:19:28 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006, 2007, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/http_utils.py'
--- bzrlib/tests/http_utils.py	2010-02-17 17:11:16 +0000
+++ bzrlib/tests/http_utils.py	2010-06-11 10:59:23 +0000
@@ -106,10 +106,20 @@
     one. This will currently fail if the primary transport is not
     backed by regular disk files.
     """
+
+    # This can be overriden or parametrized by daughter clasess if needed, but
+    # it must exist so that the create_transport_readonly_server() method can
+    # propagate it.
+    _protocol_version = None
+
     def setUp(self):
         super(TestCaseWithWebserver, self).setUp()
         self.transport_readonly_server = http_server.HttpServer
 
+    def create_transport_readonly_server(self):
+        return self.transport_readonly_server(
+            protocol_version=self._protocol_version)
+
 
 class TestCaseWithTwoWebservers(TestCaseWithWebserver):
     """A support class providing readonly urls on two servers that are http://.
@@ -127,7 +137,8 @@
 
         This is mostly a hook for daughter classes.
         """
-        return self.transport_secondary_server()
+        return self.transport_secondary_server(
+            protocol_version=self._protocol_version)
 
     def get_secondary_server(self):
         """Get the server instance for the secondary transport."""
@@ -218,7 +229,8 @@
    def create_transport_secondary_server(self):
        """Create the secondary server redirecting to the primary server"""
        new = self.get_readonly_server()
-       redirecting = HTTPServerRedirecting()
+       redirecting = HTTPServerRedirecting(
+           protocol_version=self._protocol_version)
        redirecting.redirect_to(new.host, new.port)
        return redirecting
 

=== modified file 'bzrlib/tests/per_branch/test_bound_sftp.py'
--- bzrlib/tests/per_branch/test_bound_sftp.py	2010-02-11 09:27:55 +0000
+++ bzrlib/tests/per_branch/test_bound_sftp.py	2010-06-20 11:18:38 +0000
@@ -144,13 +144,13 @@
                 wt_child2.commit, 'child2', rev_id='r@d-2')
 
     def test_unbinding(self):
-        from bzrlib.transport import get_transport
+        from bzrlib import transport
         b_base, wt_child = self.create_branches()
 
         # TestCaseWithSFTPServer only allows you to connect one time
         # to the SFTP server. So we have to create a connection and
         # keep it around, so that it can be reused
-        __unused_t = get_transport(self.get_url('.'))
+        __unused_t = transport.get_transport(self.get_url('.'))
 
         wt_base = b_base.bzrdir.open_workingtree()
         open('base/a', 'wb').write('new base contents\n')

=== modified file 'bzrlib/tests/per_branch/test_permissions.py'
--- bzrlib/tests/per_branch/test_permissions.py	2009-09-07 08:46:00 +0000
+++ bzrlib/tests/per_branch/test_permissions.py	2010-06-20 11:18:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2008 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -38,7 +38,6 @@
 from bzrlib.remote import RemoteBranchFormat
 from bzrlib.tests.test_permissions import chmod_r, check_mode_r
 from bzrlib.tests.test_sftp_transport import TestCaseWithSFTPServer
-from bzrlib.transport import get_transport
 from bzrlib.workingtree import WorkingTree
 
 

=== modified file 'bzrlib/tests/per_branch/test_stacking.py'
--- bzrlib/tests/per_branch/test_stacking.py	2009-08-20 04:09:58 +0000
+++ bzrlib/tests/per_branch/test_stacking.py	2010-06-20 11:18:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2008 Canonical Ltd
+# Copyright (C) 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -26,7 +26,6 @@
 from bzrlib.smart import server
 from bzrlib.tests import TestNotApplicable, KnownFailure, transport_util
 from bzrlib.tests.per_branch import TestCaseWithBranch
-from bzrlib.transport import get_transport
 
 
 unstackable_format_errors = (

=== modified file 'bzrlib/tests/per_bzrdir/test_bzrdir.py'
--- bzrlib/tests/per_bzrdir/test_bzrdir.py	2010-06-24 06:29:40 +0000
+++ bzrlib/tests/per_bzrdir/test_bzrdir.py	2010-06-29 16:21:13 +0000
@@ -55,7 +55,6 @@
                           )
 from bzrlib.tests.per_bzrdir import TestCaseWithBzrDir
 from bzrlib.trace import mutter
-from bzrlib.transport import get_transport
 from bzrlib.transport.local import LocalTransport
 from bzrlib.ui import (
     CannedInputUIFactory,
@@ -202,7 +201,7 @@
         A simple wrapper for from_bzrdir.sprout that translates NotLocalUrl into
         TestSkipped.  Returns the newly sprouted bzrdir.
         """
-        to_transport = get_transport(to_url)
+        to_transport = transport.get_transport(to_url)
         if not isinstance(to_transport, LocalTransport):
             raise TestSkipped('Cannot sprout to remote bzrdirs.')
         target = from_bzrdir.sprout(to_url, revision_id=revision_id,
@@ -1206,8 +1205,8 @@
             '_network_name', None),
             None)
         # supported formats must be able to init and open
-        t = get_transport(self.get_url())
-        readonly_t = get_transport(self.get_readonly_url())
+        t = transport.get_transport(self.get_url())
+        readonly_t = transport.get_transport(self.get_readonly_url())
         made_control = self.bzrdir_format.initialize(t.base)
         self.failUnless(isinstance(made_control, bzrdir.BzrDir))
         self.assertEqual(self.bzrdir_format,
@@ -1417,7 +1416,7 @@
         # test the formats specific behaviour for no-content or similar dirs.
         self.assertRaises(NotBranchError,
                           self.bzrdir_format.open,
-                          get_transport(self.get_readonly_url()))
+                          transport.get_transport(self.get_readonly_url()))
 
     def test_create_branch(self):
         # a bzrdir can construct a branch and repository for itself.
@@ -1426,7 +1425,7 @@
             # because the default open will not open them and
             # they may not be initializable.
             return
-        t = get_transport(self.get_url())
+        t = transport.get_transport(self.get_url())
         made_control = self.bzrdir_format.initialize(t.base)
         made_repo = made_control.create_repository()
         made_branch = made_control.create_branch()
@@ -1439,7 +1438,7 @@
             # because the default open will not open them and
             # they may not be initializable.
             return
-        t = get_transport(self.get_url())
+        t = transport.get_transport(self.get_url())
         made_control = self.bzrdir_format.initialize(t.base)
         made_repo = made_control.create_repository()
         made_branch = made_control.create_branch()
@@ -1454,7 +1453,7 @@
             # because the default open will not open them and
             # they may not be initializable.
             return
-        t = get_transport(self.get_url())
+        t = transport.get_transport(self.get_url())
         made_control = self.bzrdir_format.initialize(t.base)
         made_repo = made_control.create_repository()
         made_branch = made_control.create_branch()
@@ -1475,7 +1474,7 @@
             # because the default open will not open them and
             # they may not be initializable.
             return
-        t = get_transport(self.get_url())
+        t = transport.get_transport(self.get_url())
         made_control = self.bzrdir_format.initialize(t.base)
         made_repo = made_control.create_repository()
         # Check that we have a repository object.
@@ -1490,7 +1489,7 @@
             # because the default open will not open them and
             # they may not be initializable.
             return
-        t = get_transport(self.get_url())
+        t = transport.get_transport(self.get_url())
         made_control = self.bzrdir_format.initialize(t.base)
         try:
             made_repo = made_control.create_repository(shared=True)
@@ -1507,7 +1506,7 @@
             # because the default open will not open them and
             # they may not be initializable.
             return
-        t = get_transport(self.get_url())
+        t = transport.get_transport(self.get_url())
         made_control = self.bzrdir_format.initialize(t.base)
         made_repo = made_control.create_repository(shared=False)
         self.assertFalse(made_repo.is_shared())
@@ -1518,7 +1517,7 @@
             # because the default open will not open them and
             # they may not be initializable.
             return
-        t = get_transport(self.get_url())
+        t = transport.get_transport(self.get_url())
         made_control = self.bzrdir_format.initialize(t.base)
         made_repo = made_control.create_repository()
         opened_repo = made_control.open_repository()
@@ -1646,7 +1645,7 @@
     def test_root_transport(self):
         dir = self.make_bzrdir('.')
         self.assertEqual(dir.root_transport.base,
-                         get_transport(self.get_url('.')).base)
+                         transport.get_transport(self.get_url('.')).base)
 
     def test_find_repository_no_repo_under_standalone_branch(self):
         # finding a repo stops at standalone branches even if there is a
@@ -1657,8 +1656,8 @@
             # need a shared repository to test this.
             return
         url = self.get_url('intermediate')
-        get_transport(self.get_url()).mkdir('intermediate')
-        get_transport(self.get_url()).mkdir('intermediate/child')
+        transport.get_transport(self.get_url()).mkdir('intermediate')
+        transport.get_transport(self.get_url()).mkdir('intermediate/child')
         made_control = self.bzrdir_format.initialize(url)
         made_control.create_repository()
         innermost_control = self.bzrdir_format.initialize(
@@ -1682,7 +1681,7 @@
             # need a shared repository to test this.
             return
         url = self.get_url('childbzrdir')
-        get_transport(self.get_url()).mkdir('childbzrdir')
+        transport.get_transport(self.get_url()).mkdir('childbzrdir')
         made_control = self.bzrdir_format.initialize(url)
         try:
             child_repo = made_control.open_repository()
@@ -1716,7 +1715,7 @@
             # need a shared repository to test this.
             return
         url = self.get_url('childrepo')
-        get_transport(self.get_url()).mkdir('childrepo')
+        transport.get_transport(self.get_url()).mkdir('childrepo')
         child_control = self.bzrdir_format.initialize(url)
         child_repo = child_control.create_repository(shared=True)
         opened_control = bzrdir.BzrDir.open(self.get_url('childrepo'))
@@ -1735,8 +1734,8 @@
             # need a shared repository to test this.
             return
         url = self.get_url('intermediate')
-        get_transport(self.get_url()).mkdir('intermediate')
-        get_transport(self.get_url()).mkdir('intermediate/child')
+        transport.get_transport(self.get_url()).mkdir('intermediate')
+        transport.get_transport(self.get_url()).mkdir('intermediate/child')
         made_control = self.bzrdir_format.initialize(url)
         try:
             child_repo = made_control.open_repository()
@@ -1981,7 +1980,7 @@
         # - do the vfs initialisation over the basic vfs transport
         # XXX: TODO this should become a 'bzrdirlocation' api call.
         url = self.get_vfs_only_url('subdir')
-        get_transport(self.get_vfs_only_url()).mkdir('subdir')
+        transport.get_transport(self.get_vfs_only_url()).mkdir('subdir')
         made_control = self.bzrdir_format.initialize(self.get_url('subdir'))
         try:
             repo = made_control.open_repository()
@@ -1997,7 +1996,7 @@
 
 class TestBzrDirControlComponent(TestCaseWithBzrDir):
     """BzrDir implementations adequately implement ControlComponent."""
-    
+
     def test_urls(self):
         bd = self.make_bzrdir('bd')
         self.assertIsInstance(bd.user_url, str)

=== modified file 'bzrlib/tests/per_interbranch/__init__.py'
--- bzrlib/tests/per_interbranch/__init__.py	2010-06-16 08:17:50 +0000
+++ bzrlib/tests/per_interbranch/__init__.py	2010-06-20 11:18:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify
@@ -46,7 +46,6 @@
     TestCaseWithTransport,
     multiply_tests,
     )
-from bzrlib.transport import get_transport
 
 
 def make_scenarios(test_list):

=== modified file 'bzrlib/tests/per_interbranch/test_pull.py'
--- bzrlib/tests/per_interbranch/test_pull.py	2010-06-14 06:37:11 +0000
+++ bzrlib/tests/per_interbranch/test_pull.py	2010-06-17 09:23:19 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2007, 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_interbranch/test_push.py'
--- bzrlib/tests/per_interbranch/test_push.py	2010-06-24 08:16:36 +0000
+++ bzrlib/tests/per_interbranch/test_push.py	2010-06-29 16:21:13 +0000
@@ -44,7 +44,6 @@
 from bzrlib.tests.per_interbranch import (
     TestCaseWithInterBranch,
     )
-from bzrlib.transport import get_transport
 from bzrlib.tests import test_server
 
 

=== modified file 'bzrlib/tests/per_interbranch/test_update_revisions.py'
--- bzrlib/tests/per_interbranch/test_update_revisions.py	2010-06-17 06:30:22 +0000
+++ bzrlib/tests/per_interbranch/test_update_revisions.py	2010-06-17 09:23:19 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_interrepository/__init__.py'
--- bzrlib/tests/per_interrepository/__init__.py	2009-08-14 01:07:44 +0000
+++ bzrlib/tests/per_interrepository/__init__.py	2010-06-20 11:18:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 # Authors: Robert Collins <robert.collins@canonical.com>
 # -*- coding: utf-8 -*-
 #
@@ -26,6 +26,7 @@
 """
 
 
+from bzrlib import transport
 from bzrlib.errors import (
     FileExists,
     UninitializableFormat,
@@ -39,7 +40,6 @@
                           multiply_tests,
                           )
 from bzrlib.tests.per_bzrdir.test_bzrdir import TestCaseWithBzrDir
-from bzrlib.transport import get_transport
 
 
 def make_scenarios(transport_server, transport_readonly_server, formats):
@@ -143,7 +143,7 @@
             segments = url.split('/')
             if segments and segments[-1] not in ('', '.'):
                 parent = '/'.join(segments[:-1])
-                t = get_transport(parent)
+                t = transport.get_transport(parent)
                 try:
                     t.mkdir(segments[-1])
                 except FileExists:

=== modified file 'bzrlib/tests/per_intertree/__init__.py'
--- bzrlib/tests/per_intertree/__init__.py	2010-02-17 17:11:16 +0000
+++ bzrlib/tests/per_intertree/__init__.py	2010-06-20 11:18:38 +0000
@@ -28,7 +28,6 @@
     revisiontree,
     tests,
     )
-from bzrlib.transport import get_transport
 from bzrlib.transform import TransformPreview
 from bzrlib.tests import (
     default_transport,

=== modified file 'bzrlib/tests/per_repository/test_fetch.py'
--- bzrlib/tests/per_repository/test_fetch.py	2009-08-05 02:12:22 +0000
+++ bzrlib/tests/per_repository/test_fetch.py	2010-06-20 11:18:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -28,7 +28,6 @@
 from bzrlib.inventory import ROOT_ID
 from bzrlib.tests import TestSkipped
 from bzrlib.tests.per_repository import TestCaseWithRepository
-from bzrlib.transport import get_transport
 
 
 class TestFetchSameRepository(TestCaseWithRepository):

=== modified file 'bzrlib/tests/per_repository/test_has_same_location.py'
--- bzrlib/tests/per_repository/test_has_same_location.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_repository/test_has_same_location.py	2010-06-20 11:18:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007, 2008 Canonical Ltd
+# Copyright (C) 2007-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,12 +16,14 @@
 
 """Tests for implementations of Repository.has_same_location."""
 
-from bzrlib import bzrdir
+from bzrlib import (
+    bzrdir,
+    transport,
+    )
 from bzrlib.tests import (
     TestNotApplicable,
     )
 from bzrlib.tests.per_repository import TestCaseWithRepository
-from bzrlib.transport import get_transport
 
 
 class TestHasSameLocation(TestCaseWithRepository):
@@ -112,7 +114,8 @@
         if repo._format == other_repo._format:
             # We're testing the default format!  So we have to use a non-default
             # format for other_repo.
-            get_transport(self.get_vfs_only_url()).delete_tree('other')
+            transport.get_transport(self.get_vfs_only_url()
+                                    ).delete_tree('other')
             other_repo = self.make_repository('other', format='metaweave')
         # Make sure the other_repo is not a RemoteRepository.
         other_bzrdir = bzrdir.BzrDir.open(self.get_vfs_only_url('other'))

=== modified file 'bzrlib/tests/per_repository/test_reconcile.py'
--- bzrlib/tests/per_repository/test_reconcile.py	2009-09-08 11:32:53 +0000
+++ bzrlib/tests/per_repository/test_reconcile.py	2010-06-20 11:18:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,7 +18,10 @@
 
 
 import bzrlib
-import bzrlib.errors as errors
+from bzrlib import (
+    errors,
+    transport,
+    )
 from bzrlib.inventory import Inventory
 from bzrlib.reconcile import reconcile, Reconciler
 from bzrlib.repofmt.knitrepo import RepositoryFormatKnit
@@ -30,7 +33,6 @@
 from bzrlib.tests.per_repository import (
     TestCaseWithRepository,
     )
-from bzrlib.transport import get_transport
 from bzrlib.uncommit import uncommit
 
 
@@ -59,7 +61,7 @@
     def setUp(self):
         super(TestsNeedingReweave, self).setUp()
 
-        t = get_transport(self.get_url())
+        t = transport.get_transport(self.get_url())
         # an empty inventory with no revision for testing with.
         repo = self.make_repository('inventory_without_revision')
         repo.lock_write()
@@ -310,7 +312,7 @@
         self.reduceLockdirTimeout()
         super(TestReconcileWithIncorrectRevisionCache, self).setUp()
 
-        t = get_transport(self.get_url())
+        t = transport.get_transport(self.get_url())
         # we need a revision with two parents in the wrong order
         # which should trigger reinsertion.
         # and another with the first one correct but the other two not
@@ -379,7 +381,7 @@
 
     def test_reconcile_wrong_order(self):
         # a wrong order in primary parents is optionally correctable
-        t = get_transport(self.get_url()).clone('wrong-first-parent')
+        t = transport.get_transport(self.get_url()).clone('wrong-first-parent')
         d = bzrlib.bzrdir.BzrDir.open_from_transport(t)
         repo = d.open_repository()
         repo.lock_read()
@@ -408,7 +410,8 @@
 
     def test_reconcile_wrong_order_secondary_inventory(self):
         # a wrong order in the parents for inventories is ignored.
-        t = get_transport(self.get_url()).clone('reversed-secondary-parents')
+        t = transport.get_transport(self.get_url()
+                                    ).clone('reversed-secondary-parents')
         d = bzrlib.bzrdir.BzrDir.open_from_transport(t)
         repo = d.open_repository()
         self.checkUnreconciled(d, repo.reconcile())

=== modified file 'bzrlib/tests/per_versionedfile.py'
--- bzrlib/tests/per_versionedfile.py	2010-05-14 14:29:28 +0000
+++ bzrlib/tests/per_versionedfile.py	2010-06-20 11:18:38 +0000
@@ -31,6 +31,7 @@
     knit as _mod_knit,
     osutils,
     progress,
+    transport,
     ui,
     )
 from bzrlib.errors import (
@@ -56,7 +57,6 @@
     )
 from bzrlib.tests.http_utils import TestCaseWithWebserver
 from bzrlib.trace import mutter
-from bzrlib.transport import get_transport
 from bzrlib.transport.memory import MemoryTransport
 from bzrlib.tsort import topo_sort
 from bzrlib.tuned_gzip import GzipFile
@@ -849,10 +849,10 @@
         self.assertEquals(('references_ghost', 'line_c\n'), origins[2])
 
     def test_readonly_mode(self):
-        transport = get_transport(self.get_url('.'))
+        t = transport.get_transport(self.get_url('.'))
         factory = self.get_factory()
-        vf = factory('id', transport, 0777, create=True, access_mode='w')
-        vf = factory('id', transport, access_mode='r')
+        vf = factory('id', t, 0777, create=True, access_mode='w')
+        vf = factory('id', t, access_mode='r')
         self.assertRaises(errors.ReadOnlyError, vf.add_lines, 'base', [], [])
         self.assertRaises(errors.ReadOnlyError,
                           vf.add_lines_with_ghosts,
@@ -880,12 +880,14 @@
 class TestWeave(TestCaseWithMemoryTransport, VersionedFileTestMixIn):
 
     def get_file(self, name='foo'):
-        return WeaveFile(name, get_transport(self.get_url('.')), create=True,
-            get_scope=self.get_transaction)
+        return WeaveFile(name, transport.get_transport(self.get_url('.')),
+                         create=True,
+                         get_scope=self.get_transaction)
 
     def get_file_corrupted_text(self):
-        w = WeaveFile('foo', get_transport(self.get_url('.')), create=True,
-            get_scope=self.get_transaction)
+        w = WeaveFile('foo', transport.get_transport(self.get_url('.')),
+                      create=True,
+                      get_scope=self.get_transaction)
         w.add_lines('v1', [], ['hello\n'])
         w.add_lines('v2', ['v1'], ['hello\n', 'there\n'])
 
@@ -919,14 +921,15 @@
         return w
 
     def reopen_file(self, name='foo', create=False):
-        return WeaveFile(name, get_transport(self.get_url('.')), create=create,
-            get_scope=self.get_transaction)
+        return WeaveFile(name, transport.get_transport(self.get_url('.')),
+                         create=create,
+                         get_scope=self.get_transaction)
 
     def test_no_implicit_create(self):
         self.assertRaises(errors.NoSuchFile,
                           WeaveFile,
                           'foo',
-                          get_transport(self.get_url('.')),
+                          transport.get_transport(self.get_url('.')),
                           get_scope=self.get_transaction)
 
     def get_factory(self):
@@ -999,7 +1002,7 @@
         # we should be able to read from http with a versioned file.
         vf = self.get_file()
         # try an empty file access
-        readonly_vf = self.get_factory()('foo', get_transport(
+        readonly_vf = self.get_factory()('foo', transport.get_transport(
                 self.get_readonly_url('.')))
         self.assertEqual([], readonly_vf.versions())
 
@@ -1009,7 +1012,7 @@
         # now with feeling.
         vf.add_lines('1', [], ['a\n'])
         vf.add_lines('2', ['1'], ['b\n', 'a\n'])
-        readonly_vf = self.get_factory()('foo', get_transport(
+        readonly_vf = self.get_factory()('foo', transport.get_transport(
                 self.get_readonly_url('.')))
         self.assertEqual(['1', '2'], vf.versions())
         self.assertEqual(['1', '2'], readonly_vf.versions())
@@ -1020,8 +1023,9 @@
 class TestWeaveHTTP(TestCaseWithWebserver, TestReadonlyHttpMixin):
 
     def get_file(self):
-        return WeaveFile('foo', get_transport(self.get_url('.')), create=True,
-            get_scope=self.get_transaction)
+        return WeaveFile('foo', transport.get_transport(self.get_url('.')),
+                         create=True,
+                         get_scope=self.get_transaction)
 
     def get_factory(self):
         return WeaveFile
@@ -1271,7 +1275,8 @@
 class TestWeaveMerge(TestCaseWithMemoryTransport, MergeCasesMixin):
 
     def get_file(self, name='foo'):
-        return WeaveFile(name, get_transport(self.get_url('.')), create=True)
+        return WeaveFile(name, transport.get_transport(self.get_url('.')),
+                         create=True)
 
     def log_contents(self, w):
         self.log('weave is:')

=== modified file 'bzrlib/tests/per_workingtree/test_pull.py'
--- bzrlib/tests/per_workingtree/test_pull.py	2010-01-11 23:02:32 +0000
+++ bzrlib/tests/per_workingtree/test_pull.py	2010-06-20 11:18:38 +0000
@@ -23,7 +23,6 @@
 from bzrlib.osutils import basename
 from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 from bzrlib.trace import mutter
-from bzrlib.transport import get_transport
 
 
 class TestPull(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/test_btree_index.py'
--- bzrlib/tests/test_btree_index.py	2010-03-25 17:09:53 +0000
+++ bzrlib/tests/test_btree_index.py	2010-06-20 11:18:38 +0000
@@ -27,6 +27,7 @@
     lru_cache,
     osutils,
     tests,
+    transport,
     )
 from bzrlib.tests import (
     TestCaseWithTransport,
@@ -34,7 +35,6 @@
     multiply_tests,
     split_suite_by_condition,
     )
-from bzrlib.transport import get_transport
 
 
 def load_tests(standard_tests, module, loader):
@@ -280,10 +280,10 @@
 
         for node in nodes:
             builder.add_node(*node)
-        transport = get_transport('trace+' + self.get_url(''))
-        size = transport.put_file('index', self.time(builder.finish))
+        t = transport.get_transport('trace+' + self.get_url(''))
+        size = t.put_file('index', self.time(builder.finish))
         del builder
-        index = btree_index.BTreeGraphIndex(transport, 'index', size)
+        index = btree_index.BTreeGraphIndex(t, 'index', size)
         # Seed the metadata, we're using internal calls now.
         index.key_count()
         self.assertEqual(3, len(index._row_lengths),
@@ -409,9 +409,9 @@
         self.assertEqual(None, builder._backing_indices[2])
         self.assertEqual(16, builder._backing_indices[3].key_count())
         # Now finish, and check we got a correctly ordered tree
-        transport = self.get_transport('')
-        size = transport.put_file('index', builder.finish())
-        index = btree_index.BTreeGraphIndex(transport, 'index', size)
+        t = self.get_transport('')
+        size = t.put_file('index', builder.finish())
+        index = btree_index.BTreeGraphIndex(t, 'index', size)
         nodes = list(index.iter_all_entries())
         self.assertEqual(sorted(nodes), nodes)
         self.assertEqual(16, len(nodes))
@@ -607,7 +607,7 @@
         for key, value, references in nodes:
             builder.add_node(key, value, references)
         stream = builder.finish()
-        trans = get_transport('trace+' + self.get_url())
+        trans = transport.get_transport('trace+' + self.get_url())
         size = trans.put_file('index', stream)
         return btree_index.BTreeGraphIndex(trans, 'index', size)
 
@@ -648,57 +648,57 @@
         self.assertEqual(0, len(index._leaf_node_cache))
 
     def test_trivial_constructor(self):
-        transport = get_transport('trace+' + self.get_url(''))
-        index = btree_index.BTreeGraphIndex(transport, 'index', None)
+        t = transport.get_transport('trace+' + self.get_url(''))
+        index = btree_index.BTreeGraphIndex(t, 'index', None)
         # Checks the page size at load, but that isn't logged yet.
-        self.assertEqual([], transport._activity)
+        self.assertEqual([], t._activity)
 
     def test_with_size_constructor(self):
-        transport = get_transport('trace+' + self.get_url(''))
-        index = btree_index.BTreeGraphIndex(transport, 'index', 1)
+        t = transport.get_transport('trace+' + self.get_url(''))
+        index = btree_index.BTreeGraphIndex(t, 'index', 1)
         # Checks the page size at load, but that isn't logged yet.
-        self.assertEqual([], transport._activity)
+        self.assertEqual([], t._activity)
 
     def test_empty_key_count_no_size(self):
         builder = btree_index.BTreeBuilder(key_elements=1, reference_lists=0)
-        transport = get_transport('trace+' + self.get_url(''))
-        transport.put_file('index', builder.finish())
-        index = btree_index.BTreeGraphIndex(transport, 'index', None)
-        del transport._activity[:]
-        self.assertEqual([], transport._activity)
+        t = transport.get_transport('trace+' + self.get_url(''))
+        t.put_file('index', builder.finish())
+        index = btree_index.BTreeGraphIndex(t, 'index', None)
+        del t._activity[:]
+        self.assertEqual([], t._activity)
         self.assertEqual(0, index.key_count())
         # The entire index should have been requested (as we generally have the
         # size available, and doing many small readvs is inappropriate).
         # We can't tell how much was actually read here, but - check the code.
-        self.assertEqual([('get', 'index')], transport._activity)
+        self.assertEqual([('get', 'index')], t._activity)
 
     def test_empty_key_count(self):
         builder = btree_index.BTreeBuilder(key_elements=1, reference_lists=0)
-        transport = get_transport('trace+' + self.get_url(''))
-        size = transport.put_file('index', builder.finish())
+        t = transport.get_transport('trace+' + self.get_url(''))
+        size = t.put_file('index', builder.finish())
         self.assertEqual(72, size)
-        index = btree_index.BTreeGraphIndex(transport, 'index', size)
-        del transport._activity[:]
-        self.assertEqual([], transport._activity)
+        index = btree_index.BTreeGraphIndex(t, 'index', size)
+        del t._activity[:]
+        self.assertEqual([], t._activity)
         self.assertEqual(0, index.key_count())
         # The entire index should have been read, as 4K > size
         self.assertEqual([('readv', 'index', [(0, 72)], False, None)],
-            transport._activity)
+                         t._activity)
 
     def test_non_empty_key_count_2_2(self):
         builder = btree_index.BTreeBuilder(key_elements=2, reference_lists=2)
         nodes = self.make_nodes(35, 2, 2)
         for node in nodes:
             builder.add_node(*node)
-        transport = get_transport('trace+' + self.get_url(''))
-        size = transport.put_file('index', builder.finish())
-        index = btree_index.BTreeGraphIndex(transport, 'index', size)
-        del transport._activity[:]
-        self.assertEqual([], transport._activity)
+        t = transport.get_transport('trace+' + self.get_url(''))
+        size = t.put_file('index', builder.finish())
+        index = btree_index.BTreeGraphIndex(t, 'index', size)
+        del t._activity[:]
+        self.assertEqual([], t._activity)
         self.assertEqual(70, index.key_count())
         # The entire index should have been read, as it is one page long.
         self.assertEqual([('readv', 'index', [(0, size)], False, None)],
-            transport._activity)
+            t._activity)
         self.assertEqual(1173, size)
 
     def test_with_offset_no_size(self):
@@ -722,7 +722,7 @@
 
     def test__read_nodes_no_size_one_page_reads_once(self):
         self.make_index(nodes=[(('key',), 'value', ())])
-        trans = get_transport('trace+' + self.get_url())
+        trans = transport.get_transport('trace+' + self.get_url())
         index = btree_index.BTreeGraphIndex(trans, 'index', None)
         del trans._activity[:]
         nodes = dict(index._read_nodes([0]))
@@ -736,7 +736,7 @@
         index.key_count()
         num_pages = index._row_offsets[-1]
         # Reopen with a traced transport and no size
-        trans = get_transport('trace+' + self.get_url())
+        trans = transport.get_transport('trace+' + self.get_url())
         index = btree_index.BTreeGraphIndex(trans, 'index', None)
         del trans._activity[:]
         nodes = dict(index._read_nodes([0]))
@@ -747,31 +747,31 @@
         nodes = self.make_nodes(160, 2, 2)
         for node in nodes:
             builder.add_node(*node)
-        transport = get_transport('trace+' + self.get_url(''))
-        size = transport.put_file('index', builder.finish())
+        t = transport.get_transport('trace+' + self.get_url(''))
+        size = t.put_file('index', builder.finish())
         self.assertEqual(17692, size)
-        index = btree_index.BTreeGraphIndex(transport, 'index', size)
-        del transport._activity[:]
-        self.assertEqual([], transport._activity)
+        index = btree_index.BTreeGraphIndex(t, 'index', size)
+        del t._activity[:]
+        self.assertEqual([], t._activity)
         self.assertEqual(320, index.key_count())
         # The entire index should not have been read.
         self.assertEqual([('readv', 'index', [(0, 4096)], False, None)],
-            transport._activity)
+                         t._activity)
 
     def test_validate_one_page(self):
         builder = btree_index.BTreeBuilder(key_elements=2, reference_lists=2)
         nodes = self.make_nodes(45, 2, 2)
         for node in nodes:
             builder.add_node(*node)
-        transport = get_transport('trace+' + self.get_url(''))
-        size = transport.put_file('index', builder.finish())
-        index = btree_index.BTreeGraphIndex(transport, 'index', size)
-        del transport._activity[:]
-        self.assertEqual([], transport._activity)
+        t = transport.get_transport('trace+' + self.get_url(''))
+        size = t.put_file('index', builder.finish())
+        index = btree_index.BTreeGraphIndex(t, 'index', size)
+        del t._activity[:]
+        self.assertEqual([], t._activity)
         index.validate()
         # The entire index should have been read linearly.
         self.assertEqual([('readv', 'index', [(0, size)], False, None)],
-            transport._activity)
+                         t._activity)
         self.assertEqual(1488, size)
 
     def test_validate_two_pages(self):
@@ -779,64 +779,65 @@
         nodes = self.make_nodes(80, 2, 2)
         for node in nodes:
             builder.add_node(*node)
-        transport = get_transport('trace+' + self.get_url(''))
-        size = transport.put_file('index', builder.finish())
+        t = transport.get_transport('trace+' + self.get_url(''))
+        size = t.put_file('index', builder.finish())
         # Root page, 2 leaf pages
         self.assertEqual(9339, size)
-        index = btree_index.BTreeGraphIndex(transport, 'index', size)
-        del transport._activity[:]
-        self.assertEqual([], transport._activity)
+        index = btree_index.BTreeGraphIndex(t, 'index', size)
+        del t._activity[:]
+        self.assertEqual([], t._activity)
         index.validate()
         # The entire index should have been read linearly.
-        self.assertEqual([('readv', 'index', [(0, 4096)], False, None),
-            ('readv', 'index', [(4096, 4096), (8192, 1147)], False, None)],
-            transport._activity)
+        self.assertEqual(
+            [('readv', 'index', [(0, 4096)], False, None),
+             ('readv', 'index', [(4096, 4096), (8192, 1147)], False, None)],
+            t._activity)
         # XXX: TODO: write some badly-ordered nodes, and some pointers-to-wrong
         # node and make validate find them.
 
     def test_eq_ne(self):
         # two indices are equal when constructed with the same parameters:
-        transport1 = get_transport('trace+' + self.get_url(''))
-        transport2 = get_transport(self.get_url(''))
-        self.assertTrue(
-            btree_index.BTreeGraphIndex(transport1, 'index', None) ==
-            btree_index.BTreeGraphIndex(transport1, 'index', None))
-        self.assertTrue(
-            btree_index.BTreeGraphIndex(transport1, 'index', 20) ==
-            btree_index.BTreeGraphIndex(transport1, 'index', 20))
-        self.assertFalse(
-            btree_index.BTreeGraphIndex(transport1, 'index', 20) ==
-            btree_index.BTreeGraphIndex(transport2, 'index', 20))
-        self.assertFalse(
-            btree_index.BTreeGraphIndex(transport1, 'inde1', 20) ==
-            btree_index.BTreeGraphIndex(transport1, 'inde2', 20))
-        self.assertFalse(
-            btree_index.BTreeGraphIndex(transport1, 'index', 10) ==
-            btree_index.BTreeGraphIndex(transport1, 'index', 20))
-        self.assertFalse(
-            btree_index.BTreeGraphIndex(transport1, 'index', None) !=
-            btree_index.BTreeGraphIndex(transport1, 'index', None))
-        self.assertFalse(
-            btree_index.BTreeGraphIndex(transport1, 'index', 20) !=
-            btree_index.BTreeGraphIndex(transport1, 'index', 20))
-        self.assertTrue(
-            btree_index.BTreeGraphIndex(transport1, 'index', 20) !=
-            btree_index.BTreeGraphIndex(transport2, 'index', 20))
-        self.assertTrue(
-            btree_index.BTreeGraphIndex(transport1, 'inde1', 20) !=
-            btree_index.BTreeGraphIndex(transport1, 'inde2', 20))
-        self.assertTrue(
-            btree_index.BTreeGraphIndex(transport1, 'index', 10) !=
-            btree_index.BTreeGraphIndex(transport1, 'index', 20))
+        t1 = transport.get_transport('trace+' + self.get_url(''))
+        t2 = transport.get_transport(self.get_url(''))
+        self.assertTrue(
+            btree_index.BTreeGraphIndex(t1, 'index', None) ==
+            btree_index.BTreeGraphIndex(t1, 'index', None))
+        self.assertTrue(
+            btree_index.BTreeGraphIndex(t1, 'index', 20) ==
+            btree_index.BTreeGraphIndex(t1, 'index', 20))
+        self.assertFalse(
+            btree_index.BTreeGraphIndex(t1, 'index', 20) ==
+            btree_index.BTreeGraphIndex(t2, 'index', 20))
+        self.assertFalse(
+            btree_index.BTreeGraphIndex(t1, 'inde1', 20) ==
+            btree_index.BTreeGraphIndex(t1, 'inde2', 20))
+        self.assertFalse(
+            btree_index.BTreeGraphIndex(t1, 'index', 10) ==
+            btree_index.BTreeGraphIndex(t1, 'index', 20))
+        self.assertFalse(
+            btree_index.BTreeGraphIndex(t1, 'index', None) !=
+            btree_index.BTreeGraphIndex(t1, 'index', None))
+        self.assertFalse(
+            btree_index.BTreeGraphIndex(t1, 'index', 20) !=
+            btree_index.BTreeGraphIndex(t1, 'index', 20))
+        self.assertTrue(
+            btree_index.BTreeGraphIndex(t1, 'index', 20) !=
+            btree_index.BTreeGraphIndex(t2, 'index', 20))
+        self.assertTrue(
+            btree_index.BTreeGraphIndex(t1, 'inde1', 20) !=
+            btree_index.BTreeGraphIndex(t1, 'inde2', 20))
+        self.assertTrue(
+            btree_index.BTreeGraphIndex(t1, 'index', 10) !=
+            btree_index.BTreeGraphIndex(t1, 'index', 20))
 
     def test_iter_all_only_root_no_size(self):
         self.make_index(nodes=[(('key',), 'value', ())])
-        trans = get_transport('trace+' + self.get_url(''))
-        index = btree_index.BTreeGraphIndex(trans, 'index', None)
-        del trans._activity[:]
+        t = transport.get_transport('trace+' + self.get_url(''))
+        index = btree_index.BTreeGraphIndex(t, 'index', None)
+        del t._activity[:]
         self.assertEqual([(('key',), 'value')],
                          [x[1:] for x in index.iter_all_entries()])
-        self.assertEqual([('get', 'index')], trans._activity)
+        self.assertEqual([('get', 'index')], t._activity)
 
     def test_iter_all_entries_reads(self):
         # iterating all entries reads the header, then does a linear
@@ -848,15 +849,15 @@
         nodes = self.make_nodes(10000, 2, 2)
         for node in nodes:
             builder.add_node(*node)
-        transport = get_transport('trace+' + self.get_url(''))
-        size = transport.put_file('index', builder.finish())
+        t = transport.get_transport('trace+' + self.get_url(''))
+        size = t.put_file('index', builder.finish())
         self.assertEqual(1303220, size, 'number of expected bytes in the'
                                         ' output changed')
         page_size = btree_index._PAGE_SIZE
         del builder
-        index = btree_index.BTreeGraphIndex(transport, 'index', size)
-        del transport._activity[:]
-        self.assertEqual([], transport._activity)
+        index = btree_index.BTreeGraphIndex(t, 'index', size)
+        del t._activity[:]
+        self.assertEqual([], t._activity)
         found_nodes = self.time(list, index.iter_all_entries())
         bare_nodes = []
         for node in found_nodes:
@@ -883,7 +884,7 @@
         readv_request[-1] = (readv_request[-1][0], 1303220 % page_size)
         expected = [('readv', 'index', [(0, page_size)], False, None),
              ('readv',  'index', readv_request, False, None)]
-        if expected != transport._activity:
+        if expected != t._activity:
             self.assertEqualDiff(pprint.pformat(expected),
                                  pprint.pformat(transport._activity))
 
@@ -903,12 +904,12 @@
         nodes = self.make_nodes(160, 2, 2)
         for node in nodes:
             builder.add_node(*node)
-        transport = get_transport('trace+' + self.get_url(''))
-        size = transport.put_file('index', builder.finish())
+        t = transport.get_transport('trace+' + self.get_url(''))
+        size = t.put_file('index', builder.finish())
         del builder
-        index = btree_index.BTreeGraphIndex(transport, 'index', size)
-        del transport._activity[:]
-        self.assertEqual([], transport._activity)
+        index = btree_index.BTreeGraphIndex(t, 'index', size)
+        del t._activity[:]
+        self.assertEqual([], t._activity)
         # search for one key
         found_nodes = list(index.iter_entries([nodes[30][0]]))
         bare_nodes = []
@@ -922,7 +923,7 @@
         # Should have read the root node, then one leaf page:
         self.assertEqual([('readv', 'index', [(0, 4096)], False, None),
              ('readv',  'index', [(8192, 4096), ], False, None)],
-            transport._activity)
+            t._activity)
 
     def test_iter_key_prefix_1_element_key_None(self):
         index = self.make_index()
@@ -1152,7 +1153,7 @@
         for node in nodes:
             builder.add_node(*node)
         stream = builder.finish()
-        trans = get_transport(self.get_url())
+        trans = transport.get_transport(self.get_url())
         size = trans.put_file('index', stream)
         index = btree_index.BTreeGraphIndex(trans, 'index', size)
         self.assertEqual(500, index.key_count())
@@ -1349,8 +1350,8 @@
         This doesn't actually create anything on disk, it just primes a
         BTreeGraphIndex with the recommended information.
         """
-        index = btree_index.BTreeGraphIndex(get_transport('memory:///'),
-                                            'test-index', size=size)
+        index = btree_index.BTreeGraphIndex(
+            transport.get_transport('memory:///'), 'test-index', size=size)
         if recommended_pages is not None:
             index._recommended_pages = recommended_pages
         return index

=== modified file 'bzrlib/tests/test_bzrdir.py'
--- bzrlib/tests/test_bzrdir.py	2010-06-25 04:49:54 +0000
+++ bzrlib/tests/test_bzrdir.py	2010-06-29 16:21:13 +0000
@@ -1159,9 +1159,11 @@
     """
 
     def create_transport_readonly_server(self):
+        # We don't set the http protocol version, relying on the default
         return http_utils.HTTPServerRedirecting()
 
     def create_transport_secondary_server(self):
+        # We don't set the http protocol version, relying on the default
         return http_utils.HTTPServerRedirecting()
 
     def setUp(self):

=== modified file 'bzrlib/tests/test_debug.py'
--- bzrlib/tests/test_debug.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/test_debug.py	2010-06-20 11:18:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -20,13 +20,14 @@
 import os
 
 
-from bzrlib import debug
+from bzrlib import (
+    debug,
+    tests,
+    )
 from bzrlib.config import config_filename, ensure_config_dir_exists
-from bzrlib.transport import get_transport
-from bzrlib.tests import TestCaseInTempDir
-
-
-class TestDebugFlags(TestCaseInTempDir):
+
+
+class TestDebugFlags(tests.TestCaseInTempDir):
 
     def test_set_debug_flags_from_config(self):
         # test both combinations because configobject automatically splits up

=== modified file 'bzrlib/tests/test_directory_service.py'
--- bzrlib/tests/test_directory_service.py	2010-06-02 04:50:35 +0000
+++ bzrlib/tests/test_directory_service.py	2010-06-20 11:18:38 +0000
@@ -18,11 +18,11 @@
 
 from bzrlib import (
     errors,
+    transport,
     urlutils,
     )
 from bzrlib.directory_service import DirectoryServiceRegistry, directories
 from bzrlib.tests import TestCase, TestCaseWithTransport
-from bzrlib.transport import get_transport
 
 
 class FooService(object):
@@ -56,7 +56,7 @@
         directories.register('foo:', FooService, 'Map foo URLs to http urls')
         self.addCleanup(directories.remove, 'foo:')
         self.assertEqual(FooService.base + 'bar/',
-                         get_transport('foo:bar').base)
+                         transport.get_transport('foo:bar').base)
 
 
 class TestAliasDirectory(TestCaseWithTransport):

=== modified file 'bzrlib/tests/test_http.py'
--- bzrlib/tests/test_http.py	2010-03-18 23:11:15 +0000
+++ bzrlib/tests/test_http.py	2010-06-11 10:59:23 +0000
@@ -89,6 +89,18 @@
                             _qualified_prefix='http+pycurl',)))
     tests.multiply_tests(t_tests, transport_scenarios, result)
 
+    protocol_scenarios = [
+            ('HTTP/1.0',  dict(_protocol_version='HTTP/1.0')),
+            ('HTTP/1.1',  dict(_protocol_version='HTTP/1.1')),
+            ]
+
+    # some tests are parametrized by the protocol version only
+    p_tests, remaining_tests = tests.split_suite_by_condition(
+        remaining_tests, tests.condition_isinstance((
+                TestAuthOnRedirected,
+                )))
+    tests.multiply_tests(p_tests, protocol_scenarios, result)
+
     # each implementation tested with each HTTP version
     tp_tests, remaining_tests = tests.split_suite_by_condition(
         remaining_tests, tests.condition_isinstance((
@@ -103,10 +115,6 @@
                 TestRanges,
                 TestSpecificRequestHandler,
                 )))
-    protocol_scenarios = [
-            ('HTTP/1.0',  dict(_protocol_version='HTTP/1.0')),
-            ('HTTP/1.1',  dict(_protocol_version='HTTP/1.1')),
-            ]
     tp_scenarios = tests.multiply_scenarios(transport_scenarios,
                                             protocol_scenarios)
     tests.multiply_tests(tp_tests, tp_scenarios, result)
@@ -2156,13 +2164,14 @@
     _transport = _urllib.HttpTransport_urllib
 
     def create_transport_readonly_server(self):
-        return self._auth_server()
+        return self._auth_server(protocol_version=self._protocol_version)
 
     def create_transport_secondary_server(self):
         """Create the secondary server redirecting to the primary server"""
         new = self.get_readonly_server()
 
-        redirecting = http_utils.HTTPServerRedirecting()
+        redirecting = http_utils.HTTPServerRedirecting(
+            protocol_version=self._protocol_version)
         redirecting.redirect_to(new.host, new.port)
         return redirecting
 

=== modified file 'bzrlib/tests/test_index.py'
--- bzrlib/tests/test_index.py	2010-04-08 07:01:10 +0000
+++ bzrlib/tests/test_index.py	2010-06-20 11:18:38 +0000
@@ -16,16 +16,18 @@
 
 """Tests for indices."""
 
-from bzrlib import errors
-from bzrlib.index import *
-from bzrlib.tests import TestCaseWithMemoryTransport
-from bzrlib.transport import get_transport
-
-
-class TestGraphIndexBuilder(TestCaseWithMemoryTransport):
+from bzrlib import (
+    errors,
+    index,
+    tests,
+    transport,
+    )
+
+
+class TestGraphIndexBuilder(tests.TestCaseWithMemoryTransport):
 
     def test_build_index_empty(self):
-        builder = GraphIndexBuilder()
+        builder = index.GraphIndexBuilder()
         stream = builder.finish()
         contents = stream.read()
         self.assertEqual(
@@ -33,7 +35,7 @@
             contents)
 
     def test_build_index_empty_two_element_keys(self):
-        builder = GraphIndexBuilder(key_elements=2)
+        builder = index.GraphIndexBuilder(key_elements=2)
         stream = builder.finish()
         contents = stream.read()
         self.assertEqual(
@@ -41,7 +43,7 @@
             contents)
 
     def test_build_index_one_reference_list_empty(self):
-        builder = GraphIndexBuilder(reference_lists=1)
+        builder = index.GraphIndexBuilder(reference_lists=1)
         stream = builder.finish()
         contents = stream.read()
         self.assertEqual(
@@ -49,7 +51,7 @@
             contents)
 
     def test_build_index_two_reference_list_empty(self):
-        builder = GraphIndexBuilder(reference_lists=2)
+        builder = index.GraphIndexBuilder(reference_lists=2)
         stream = builder.finish()
         contents = stream.read()
         self.assertEqual(
@@ -57,7 +59,7 @@
             contents)
 
     def test_build_index_one_node_no_refs(self):
-        builder = GraphIndexBuilder()
+        builder = index.GraphIndexBuilder()
         builder.add_node(('akey', ), 'data')
         stream = builder.finish()
         contents = stream.read()
@@ -66,7 +68,7 @@
             "akey\x00\x00\x00data\n\n", contents)
 
     def test_build_index_one_node_no_refs_accepts_empty_reflist(self):
-        builder = GraphIndexBuilder()
+        builder = index.GraphIndexBuilder()
         builder.add_node(('akey', ), 'data', ())
         stream = builder.finish()
         contents = stream.read()
@@ -78,7 +80,7 @@
         # multipart keys are separated by \x00 - because they are fixed length,
         # not variable this does not cause any issues, and seems clearer to the
         # author.
-        builder = GraphIndexBuilder(key_elements=2)
+        builder = index.GraphIndexBuilder(key_elements=2)
         builder.add_node(('akey', 'secondpart'), 'data')
         stream = builder.finish()
         contents = stream.read()
@@ -87,7 +89,7 @@
             "akey\x00secondpart\x00\x00\x00data\n\n", contents)
 
     def test_add_node_empty_value(self):
-        builder = GraphIndexBuilder()
+        builder = index.GraphIndexBuilder()
         builder.add_node(('akey', ), '')
         stream = builder.finish()
         contents = stream.read()
@@ -97,7 +99,7 @@
 
     def test_build_index_nodes_sorted(self):
         # the highest sorted node comes first.
-        builder = GraphIndexBuilder()
+        builder = index.GraphIndexBuilder()
         # use three to have a good chance of glitching dictionary hash
         # lookups etc. Insert in randomish order that is not correct
         # and not the reverse of the correct order.
@@ -115,7 +117,7 @@
 
     def test_build_index_2_element_key_nodes_sorted(self):
         # multiple element keys are sorted first-key, second-key.
-        builder = GraphIndexBuilder(key_elements=2)
+        builder = index.GraphIndexBuilder(key_elements=2)
         # use three values of each key element, to have a good chance of
         # glitching dictionary hash lookups etc. Insert in randomish order that
         # is not correct and not the reverse of the correct order.
@@ -144,7 +146,7 @@
             "\n", contents)
 
     def test_build_index_reference_lists_are_included_one(self):
-        builder = GraphIndexBuilder(reference_lists=1)
+        builder = index.GraphIndexBuilder(reference_lists=1)
         builder.add_node(('key', ), 'data', ([], ))
         stream = builder.finish()
         contents = stream.read()
@@ -154,7 +156,7 @@
             "\n", contents)
 
     def test_build_index_reference_lists_with_2_element_keys(self):
-        builder = GraphIndexBuilder(reference_lists=1, key_elements=2)
+        builder = index.GraphIndexBuilder(reference_lists=1, key_elements=2)
         builder.add_node(('key', 'key2'), 'data', ([], ))
         stream = builder.finish()
         contents = stream.read()
@@ -164,7 +166,7 @@
             "\n", contents)
 
     def test_build_index_reference_lists_are_included_two(self):
-        builder = GraphIndexBuilder(reference_lists=2)
+        builder = index.GraphIndexBuilder(reference_lists=2)
         builder.add_node(('key', ), 'data', ([], []))
         stream = builder.finish()
         contents = stream.read()
@@ -174,12 +176,12 @@
             "\n", contents)
 
     def test_clear_cache(self):
-        builder = GraphIndexBuilder(reference_lists=2)
+        builder = index.GraphIndexBuilder(reference_lists=2)
         # This is a no-op, but the api should exist
         builder.clear_cache()
 
     def test_node_references_are_byte_offsets(self):
-        builder = GraphIndexBuilder(reference_lists=1)
+        builder = index.GraphIndexBuilder(reference_lists=1)
         builder.add_node(('reference', ), 'data', ([], ))
         builder.add_node(('key', ), 'data', ([('reference', )], ))
         stream = builder.finish()
@@ -191,10 +193,11 @@
             "\n", contents)
 
     def test_node_references_are_cr_delimited(self):
-        builder = GraphIndexBuilder(reference_lists=1)
+        builder = index.GraphIndexBuilder(reference_lists=1)
         builder.add_node(('reference', ), 'data', ([], ))
         builder.add_node(('reference2', ), 'data', ([], ))
-        builder.add_node(('key', ), 'data', ([('reference', ), ('reference2', )], ))
+        builder.add_node(('key', ), 'data',
+                         ([('reference', ), ('reference2', )], ))
         stream = builder.finish()
         contents = stream.read()
         self.assertEqual(
@@ -205,9 +208,10 @@
             "\n", contents)
 
     def test_multiple_reference_lists_are_tab_delimited(self):
-        builder = GraphIndexBuilder(reference_lists=2)
+        builder = index.GraphIndexBuilder(reference_lists=2)
         builder.add_node(('keference', ), 'data', ([], []))
-        builder.add_node(('rey', ), 'data', ([('keference', )], [('keference', )]))
+        builder.add_node(('rey', ), 'data',
+                         ([('keference', )], [('keference', )]))
         stream = builder.finish()
         contents = stream.read()
         self.assertEqual(
@@ -217,8 +221,9 @@
             "\n", contents)
 
     def test_add_node_referencing_missing_key_makes_absent(self):
-        builder = GraphIndexBuilder(reference_lists=1)
-        builder.add_node(('rey', ), 'data', ([('beference', ), ('aeference2', )], ))
+        builder = index.GraphIndexBuilder(reference_lists=1)
+        builder.add_node(('rey', ), 'data',
+                         ([('beference', ), ('aeference2', )], ))
         stream = builder.finish()
         contents = stream.read()
         self.assertEqual(
@@ -230,7 +235,7 @@
 
     def test_node_references_three_digits(self):
         # test the node digit expands as needed.
-        builder = GraphIndexBuilder(reference_lists=1)
+        builder = index.GraphIndexBuilder(reference_lists=1)
         references = [(str(val), ) for val in reversed(range(9))]
         builder.add_node(('2-key', ), '', (references, ))
         stream = builder.finish()
@@ -252,7 +257,7 @@
     def test_absent_has_no_reference_overhead(self):
         # the offsets after an absent record should be correct when there are
         # >1 reference lists.
-        builder = GraphIndexBuilder(reference_lists=2)
+        builder = index.GraphIndexBuilder(reference_lists=2)
         builder.add_node(('parent', ), '', ([('aail', ), ('zther', )], []))
         stream = builder.finish()
         contents = stream.read()
@@ -264,7 +269,7 @@
             "\n", contents)
 
     def test_add_node_bad_key(self):
-        builder = GraphIndexBuilder()
+        builder = index.GraphIndexBuilder()
         for bad_char in '\t\n\x0b\x0c\r\x00 ':
             self.assertRaises(errors.BadIndexKey, builder.add_node,
                 ('a%skey' % bad_char, ), 'data')
@@ -279,30 +284,30 @@
         self.assertRaises(errors.BadIndexKey, builder.add_node,
                 ('primary', 'secondary'), 'data')
         # secondary key elements get checked too:
-        builder = GraphIndexBuilder(key_elements=2)
+        builder = index.GraphIndexBuilder(key_elements=2)
         for bad_char in '\t\n\x0b\x0c\r\x00 ':
             self.assertRaises(errors.BadIndexKey, builder.add_node,
                 ('prefix', 'a%skey' % bad_char), 'data')
 
     def test_add_node_bad_data(self):
-        builder = GraphIndexBuilder()
+        builder = index.GraphIndexBuilder()
         self.assertRaises(errors.BadIndexValue, builder.add_node, ('akey', ),
             'data\naa')
         self.assertRaises(errors.BadIndexValue, builder.add_node, ('akey', ),
             'data\x00aa')
 
     def test_add_node_bad_mismatched_ref_lists_length(self):
-        builder = GraphIndexBuilder()
+        builder = index.GraphIndexBuilder()
         self.assertRaises(errors.BadIndexValue, builder.add_node, ('akey', ),
             'data aa', ([], ))
-        builder = GraphIndexBuilder(reference_lists=1)
+        builder = index.GraphIndexBuilder(reference_lists=1)
         self.assertRaises(errors.BadIndexValue, builder.add_node, ('akey', ),
             'data aa')
         self.assertRaises(errors.BadIndexValue, builder.add_node, ('akey', ),
             'data aa', (), )
         self.assertRaises(errors.BadIndexValue, builder.add_node, ('akey', ),
             'data aa', ([], []))
-        builder = GraphIndexBuilder(reference_lists=2)
+        builder = index.GraphIndexBuilder(reference_lists=2)
         self.assertRaises(errors.BadIndexValue, builder.add_node, ('akey', ),
             'data aa')
         self.assertRaises(errors.BadIndexValue, builder.add_node, ('akey', ),
@@ -312,7 +317,7 @@
 
     def test_add_node_bad_key_in_reference_lists(self):
         # first list, first key - trivial
-        builder = GraphIndexBuilder(reference_lists=1)
+        builder = index.GraphIndexBuilder(reference_lists=1)
         self.assertRaises(errors.BadIndexKey, builder.add_node, ('akey', ),
             'data aa', ([('a key', )], ))
         # references keys must be tuples too
@@ -329,41 +334,41 @@
             'data aa', ([('agoodkey', ), ('that is a bad key', )], ))
         # and if there is more than one list it should be getting checked
         # too
-        builder = GraphIndexBuilder(reference_lists=2)
+        builder = index.GraphIndexBuilder(reference_lists=2)
         self.assertRaises(errors.BadIndexKey, builder.add_node, ('akey', ),
             'data aa', ([], ['a bad key']))
 
     def test_add_duplicate_key(self):
-        builder = GraphIndexBuilder()
+        builder = index.GraphIndexBuilder()
         builder.add_node(('key', ), 'data')
-        self.assertRaises(errors.BadIndexDuplicateKey, builder.add_node, ('key', ),
-            'data')
+        self.assertRaises(errors.BadIndexDuplicateKey,
+                          builder.add_node, ('key', ), 'data')
 
     def test_add_duplicate_key_2_elements(self):
-        builder = GraphIndexBuilder(key_elements=2)
+        builder = index.GraphIndexBuilder(key_elements=2)
         builder.add_node(('key', 'key'), 'data')
         self.assertRaises(errors.BadIndexDuplicateKey, builder.add_node,
             ('key', 'key'), 'data')
 
     def test_add_key_after_referencing_key(self):
-        builder = GraphIndexBuilder(reference_lists=1)
+        builder = index.GraphIndexBuilder(reference_lists=1)
         builder.add_node(('key', ), 'data', ([('reference', )], ))
         builder.add_node(('reference', ), 'data', ([],))
 
     def test_add_key_after_referencing_key_2_elements(self):
-        builder = GraphIndexBuilder(reference_lists=1, key_elements=2)
+        builder = index.GraphIndexBuilder(reference_lists=1, key_elements=2)
         builder.add_node(('k', 'ey'), 'data', ([('reference', 'tokey')], ))
         builder.add_node(('reference', 'tokey'), 'data', ([],))
 
     def test_set_optimize(self):
-        builder = GraphIndexBuilder(reference_lists=1, key_elements=2)
+        builder = index.GraphIndexBuilder(reference_lists=1, key_elements=2)
         builder.set_optimize(for_size=True)
         self.assertTrue(builder._optimize_for_size)
         builder.set_optimize(for_size=False)
         self.assertFalse(builder._optimize_for_size)
 
 
-class TestGraphIndex(TestCaseWithMemoryTransport):
+class TestGraphIndex(tests.TestCaseWithMemoryTransport):
 
     def make_key(self, number):
         return (str(number) + 'X'*100,)
@@ -380,24 +385,24 @@
         return nodes
 
     def make_index(self, ref_lists=0, key_elements=1, nodes=[]):
-        builder = GraphIndexBuilder(ref_lists, key_elements=key_elements)
+        builder = index.GraphIndexBuilder(ref_lists, key_elements=key_elements)
         for key, value, references in nodes:
             builder.add_node(key, value, references)
         stream = builder.finish()
-        trans = get_transport('trace+' + self.get_url())
+        trans = transport.get_transport('trace+' + self.get_url())
         size = trans.put_file('index', stream)
-        return GraphIndex(trans, 'index', size)
+        return index.GraphIndex(trans, 'index', size)
 
     def make_index_with_offset(self, ref_lists=0, key_elements=1, nodes=[],
                                offset=0):
-        builder = GraphIndexBuilder(ref_lists, key_elements=key_elements)
+        builder = index.GraphIndexBuilder(ref_lists, key_elements=key_elements)
         for key, value, references in nodes:
             builder.add_node(key, value, references)
         content = builder.finish().read()
         size = len(content)
         trans = self.get_transport()
         trans.put_bytes('index', (' '*offset) + content)
-        return GraphIndex(trans, 'index', size, offset=offset)
+        return index.GraphIndex(trans, 'index', size, offset=offset)
 
     def test_clear_cache(self):
         index = self.make_index()
@@ -408,18 +413,18 @@
     def test_open_bad_index_no_error(self):
         trans = self.get_transport()
         trans.put_bytes('name', "not an index\n")
-        index = GraphIndex(trans, 'name', 13)
+        idx = index.GraphIndex(trans, 'name', 13)
 
     def test_with_offset(self):
         nodes = self.make_nodes(200)
-        index = self.make_index_with_offset(offset=1234567, nodes=nodes)
-        self.assertEqual(200, index.key_count())
+        idx = self.make_index_with_offset(offset=1234567, nodes=nodes)
+        self.assertEqual(200, idx.key_count())
 
     def test_buffer_all_with_offset(self):
         nodes = self.make_nodes(200)
-        index = self.make_index_with_offset(offset=1234567, nodes=nodes)
-        index._buffer_all()
-        self.assertEqual(200, index.key_count())
+        idx = self.make_index_with_offset(offset=1234567, nodes=nodes)
+        idx._buffer_all()
+        self.assertEqual(200, idx.key_count())
 
     def test_side_effect_buffering_with_offset(self):
         nodes = self.make_nodes(20)
@@ -830,9 +835,9 @@
         self.assertEqual([], list(index.iter_entries([('a', )])))
 
     def test_iter_missing_entry_empty_no_size(self):
-        index = self.make_index()
-        index = GraphIndex(index._transport, 'index', None)
-        self.assertEqual([], list(index.iter_entries([('a', )])))
+        idx = self.make_index()
+        idx = index.GraphIndex(idx._transport, 'index', None)
+        self.assertEqual([], list(idx.iter_entries([('a', )])))
 
     def test_iter_key_prefix_1_element_key_None(self):
         index = self.make_index()
@@ -928,17 +933,17 @@
     def test_validate_bad_index_errors(self):
         trans = self.get_transport()
         trans.put_bytes('name', "not an index\n")
-        index = GraphIndex(trans, 'name', 13)
-        self.assertRaises(errors.BadIndexFormatSignature, index.validate)
+        idx = index.GraphIndex(trans, 'name', 13)
+        self.assertRaises(errors.BadIndexFormatSignature, idx.validate)
 
     def test_validate_bad_node_refs(self):
-        index = self.make_index(2)
+        idx = self.make_index(2)
         trans = self.get_transport()
         content = trans.get_bytes('index')
         # change the options line to end with a rather than a parseable number
         new_content = content[:-2] + 'a\n\n'
         trans.put_bytes('index', new_content)
-        self.assertRaises(errors.BadIndexOptions, index.validate)
+        self.assertRaises(errors.BadIndexOptions, idx.validate)
 
     def test_validate_missing_end_line_empty(self):
         index = self.make_index(2)
@@ -1049,25 +1054,25 @@
         self.assertEqual(set(), search_keys)
 
     def test_supports_unlimited_cache(self):
-        builder = GraphIndexBuilder(0, key_elements=1)
+        builder = index.GraphIndexBuilder(0, key_elements=1)
         stream = builder.finish()
-        trans = get_transport(self.get_url())
+        trans = transport.get_transport(self.get_url())
         size = trans.put_file('index', stream)
         # It doesn't matter what unlimited_cache does here, just that it can be
         # passed
-        index = GraphIndex(trans, 'index', size, unlimited_cache=True)
-
-
-class TestCombinedGraphIndex(TestCaseWithMemoryTransport):
+        idx = index.GraphIndex(trans, 'index', size, unlimited_cache=True)
+
+
+class TestCombinedGraphIndex(tests.TestCaseWithMemoryTransport):
 
     def make_index(self, name, ref_lists=0, key_elements=1, nodes=[]):
-        builder = GraphIndexBuilder(ref_lists, key_elements=key_elements)
+        builder = index.GraphIndexBuilder(ref_lists, key_elements=key_elements)
         for key, value, references in nodes:
             builder.add_node(key, value, references)
         stream = builder.finish()
         trans = self.get_transport()
         size = trans.put_file(name, stream)
-        return GraphIndex(trans, name, size)
+        return index.GraphIndex(trans, name, size)
 
     def make_combined_index_with_missing(self, missing=['1', '2']):
         """Create a CombinedGraphIndex which will have missing indexes.
@@ -1079,9 +1084,9 @@
         :param missing: The underlying indexes to delete
         :return: (CombinedGraphIndex, reload_counter)
         """
-        index1 = self.make_index('1', nodes=[(('1',), '', ())])
-        index2 = self.make_index('2', nodes=[(('2',), '', ())])
-        index3 = self.make_index('3', nodes=[
+        idx1 = self.make_index('1', nodes=[(('1',), '', ())])
+        idx2 = self.make_index('2', nodes=[(('2',), '', ())])
+        idx3 = self.make_index('3', nodes=[
             (('1',), '', ()),
             (('2',), '', ())])
 
@@ -1089,29 +1094,30 @@
         reload_counter = [0, 0, 0]
         def reload():
             reload_counter[0] += 1
-            new_indices = [index3]
-            if index._indices == new_indices:
+            new_indices = [idx3]
+            if idx._indices == new_indices:
                 reload_counter[2] += 1
                 return False
             reload_counter[1] += 1
-            index._indices[:] = new_indices
+            idx._indices[:] = new_indices
             return True
-        index = CombinedGraphIndex([index1, index2], reload_func=reload)
+        idx = index.CombinedGraphIndex([idx1, idx2], reload_func=reload)
         trans = self.get_transport()
         for fname in missing:
             trans.delete(fname)
-        return index, reload_counter
+        return idx, reload_counter
 
     def test_open_missing_index_no_error(self):
         trans = self.get_transport()
-        index1 = GraphIndex(trans, 'missing', 100)
-        index = CombinedGraphIndex([index1])
+        idx1 = index.GraphIndex(trans, 'missing', 100)
+        idx = index.CombinedGraphIndex([idx1])
 
     def test_add_index(self):
-        index = CombinedGraphIndex([])
-        index1 = self.make_index('name', 0, nodes=[(('key', ), '', ())])
-        index.insert_index(0, index1)
-        self.assertEqual([(index1, ('key', ), '')], list(index.iter_all_entries()))
+        idx = index.CombinedGraphIndex([])
+        idx1 = self.make_index('name', 0, nodes=[(('key', ), '', ())])
+        idx.insert_index(0, idx1)
+        self.assertEqual([(idx1, ('key', ), '')],
+                         list(idx.iter_all_entries()))
 
     def test_clear_cache(self):
         log = []
@@ -1128,165 +1134,166 @@
                 log.append(self._index)
                 return self._index.clear_cache()
 
-        index = CombinedGraphIndex([])
-        index1 = self.make_index('name', 0, nodes=[(('key', ), '', ())])
-        index.insert_index(0, ClearCacheProxy(index1))
-        index2 = self.make_index('name', 0, nodes=[(('key', ), '', ())])
-        index.insert_index(1, ClearCacheProxy(index2))
+        idx = index.CombinedGraphIndex([])
+        idx1 = self.make_index('name', 0, nodes=[(('key', ), '', ())])
+        idx.insert_index(0, ClearCacheProxy(idx1))
+        idx2 = self.make_index('name', 0, nodes=[(('key', ), '', ())])
+        idx.insert_index(1, ClearCacheProxy(idx2))
         # CombinedGraphIndex should call 'clear_cache()' on all children
-        index.clear_cache()
-        self.assertEqual(sorted([index1, index2]), sorted(log))
+        idx.clear_cache()
+        self.assertEqual(sorted([idx1, idx2]), sorted(log))
 
     def test_iter_all_entries_empty(self):
-        index = CombinedGraphIndex([])
-        self.assertEqual([], list(index.iter_all_entries()))
+        idx = index.CombinedGraphIndex([])
+        self.assertEqual([], list(idx.iter_all_entries()))
 
     def test_iter_all_entries_children_empty(self):
-        index1 = self.make_index('name')
-        index = CombinedGraphIndex([index1])
-        self.assertEqual([], list(index.iter_all_entries()))
+        idx1 = self.make_index('name')
+        idx = index.CombinedGraphIndex([idx1])
+        self.assertEqual([], list(idx.iter_all_entries()))
 
     def test_iter_all_entries_simple(self):
-        index1 = self.make_index('name', nodes=[(('name', ), 'data', ())])
-        index = CombinedGraphIndex([index1])
-        self.assertEqual([(index1, ('name', ), 'data')],
-            list(index.iter_all_entries()))
+        idx1 = self.make_index('name', nodes=[(('name', ), 'data', ())])
+        idx = index.CombinedGraphIndex([idx1])
+        self.assertEqual([(idx1, ('name', ), 'data')],
+            list(idx.iter_all_entries()))
 
     def test_iter_all_entries_two_indices(self):
-        index1 = self.make_index('name1', nodes=[(('name', ), 'data', ())])
-        index2 = self.make_index('name2', nodes=[(('2', ), '', ())])
-        index = CombinedGraphIndex([index1, index2])
-        self.assertEqual([(index1, ('name', ), 'data'),
-            (index2, ('2', ), '')],
-            list(index.iter_all_entries()))
+        idx1 = self.make_index('name1', nodes=[(('name', ), 'data', ())])
+        idx2 = self.make_index('name2', nodes=[(('2', ), '', ())])
+        idx = index.CombinedGraphIndex([idx1, idx2])
+        self.assertEqual([(idx1, ('name', ), 'data'),
+                          (idx2, ('2', ), '')],
+                         list(idx.iter_all_entries()))
 
     def test_iter_entries_two_indices_dup_key(self):
-        index1 = self.make_index('name1', nodes=[(('name', ), 'data', ())])
-        index2 = self.make_index('name2', nodes=[(('name', ), 'data', ())])
-        index = CombinedGraphIndex([index1, index2])
-        self.assertEqual([(index1, ('name', ), 'data')],
-            list(index.iter_entries([('name', )])))
+        idx1 = self.make_index('name1', nodes=[(('name', ), 'data', ())])
+        idx2 = self.make_index('name2', nodes=[(('name', ), 'data', ())])
+        idx = index.CombinedGraphIndex([idx1, idx2])
+        self.assertEqual([(idx1, ('name', ), 'data')],
+                         list(idx.iter_entries([('name', )])))
 
     def test_iter_all_entries_two_indices_dup_key(self):
-        index1 = self.make_index('name1', nodes=[(('name', ), 'data', ())])
-        index2 = self.make_index('name2', nodes=[(('name', ), 'data', ())])
-        index = CombinedGraphIndex([index1, index2])
-        self.assertEqual([(index1, ('name', ), 'data')],
-            list(index.iter_all_entries()))
+        idx1 = self.make_index('name1', nodes=[(('name', ), 'data', ())])
+        idx2 = self.make_index('name2', nodes=[(('name', ), 'data', ())])
+        idx = index.CombinedGraphIndex([idx1, idx2])
+        self.assertEqual([(idx1, ('name', ), 'data')],
+                         list(idx.iter_all_entries()))
 
     def test_iter_key_prefix_2_key_element_refs(self):
-        index1 = self.make_index('1', 1, key_elements=2, nodes=[
-            (('name', 'fin1'), 'data', ([('ref', 'erence')], ))])
-        index2 = self.make_index('2', 1, key_elements=2, nodes=[
-            (('name', 'fin2'), 'beta', ([], )),
-            (('ref', 'erence'), 'refdata', ([], ))])
-        index = CombinedGraphIndex([index1, index2])
-        self.assertEqual(set([(index1, ('name', 'fin1'), 'data', ((('ref', 'erence'),),)),
-            (index2, ('ref', 'erence'), 'refdata', ((), ))]),
-            set(index.iter_entries_prefix([('name', 'fin1'), ('ref', 'erence')])))
-        self.assertEqual(set([(index1, ('name', 'fin1'), 'data', ((('ref', 'erence'),),)),
-            (index2, ('name', 'fin2'), 'beta', ((), ))]),
-            set(index.iter_entries_prefix([('name', None)])))
+        idx1 = self.make_index('1', 1, key_elements=2, nodes=[
+                (('name', 'fin1'), 'data', ([('ref', 'erence')], ))])
+        idx2 = self.make_index('2', 1, key_elements=2, nodes=[
+                (('name', 'fin2'), 'beta', ([], )),
+                (('ref', 'erence'), 'refdata', ([], ))])
+        idx = index.CombinedGraphIndex([idx1, idx2])
+        self.assertEqual(set([(idx1, ('name', 'fin1'), 'data',
+                               ((('ref', 'erence'),),)),
+                              (idx2, ('ref', 'erence'), 'refdata', ((), ))]),
+                         set(idx.iter_entries_prefix([('name', 'fin1'),
+                                                        ('ref', 'erence')])))
+        self.assertEqual(set([(idx1, ('name', 'fin1'), 'data',
+                               ((('ref', 'erence'),),)),
+                              (idx2, ('name', 'fin2'), 'beta', ((), ))]),
+                         set(idx.iter_entries_prefix([('name', None)])))
 
     def test_iter_nothing_empty(self):
-        index = CombinedGraphIndex([])
-        self.assertEqual([], list(index.iter_entries([])))
+        idx = index.CombinedGraphIndex([])
+        self.assertEqual([], list(idx.iter_entries([])))
 
     def test_iter_nothing_children_empty(self):
-        index1 = self.make_index('name')
-        index = CombinedGraphIndex([index1])
-        self.assertEqual([], list(index.iter_entries([])))
+        idx1 = self.make_index('name')
+        idx = index.CombinedGraphIndex([idx1])
+        self.assertEqual([], list(idx.iter_entries([])))
 
     def test_iter_all_keys(self):
-        index1 = self.make_index('1', 1, nodes=[
-            (('name', ), 'data', ([('ref', )], ))])
-        index2 = self.make_index('2', 1, nodes=[
-            (('ref', ), 'refdata', ((), ))])
-        index = CombinedGraphIndex([index1, index2])
-        self.assertEqual(set([(index1, ('name', ), 'data', ((('ref', ), ), )),
-            (index2, ('ref', ), 'refdata', ((), ))]),
-            set(index.iter_entries([('name', ), ('ref', )])))
+        idx1 = self.make_index('1', 1, nodes=[(('name', ), 'data',
+                                               ([('ref', )], ))])
+        idx2 = self.make_index('2', 1, nodes=[(('ref', ), 'refdata', ((), ))])
+        idx = index.CombinedGraphIndex([idx1, idx2])
+        self.assertEqual(set([(idx1, ('name', ), 'data', ((('ref', ), ), )),
+                              (idx2, ('ref', ), 'refdata', ((), ))]),
+                         set(idx.iter_entries([('name', ), ('ref', )])))
 
     def test_iter_all_keys_dup_entry(self):
-        index1 = self.make_index('1', 1, nodes=[
-            (('name', ), 'data', ([('ref', )], )),
-            (('ref', ), 'refdata', ([], ))])
-        index2 = self.make_index('2', 1, nodes=[
-            (('ref', ), 'refdata', ([], ))])
-        index = CombinedGraphIndex([index1, index2])
-        self.assertEqual(set([(index1, ('name', ), 'data', ((('ref',),),)),
-            (index1, ('ref', ), 'refdata', ((), ))]),
-            set(index.iter_entries([('name', ), ('ref', )])))
+        idx1 = self.make_index('1', 1, nodes=[(('name', ), 'data',
+                                                 ([('ref', )], )),
+                                                (('ref', ), 'refdata', ([], ))])
+        idx2 = self.make_index('2', 1, nodes=[(('ref', ), 'refdata', ([], ))])
+        idx = index.CombinedGraphIndex([idx1, idx2])
+        self.assertEqual(set([(idx1, ('name', ), 'data', ((('ref',),),)),
+                              (idx1, ('ref', ), 'refdata', ((), ))]),
+                         set(idx.iter_entries([('name', ), ('ref', )])))
 
     def test_iter_missing_entry_empty(self):
-        index = CombinedGraphIndex([])
-        self.assertEqual([], list(index.iter_entries([('a', )])))
+        idx = index.CombinedGraphIndex([])
+        self.assertEqual([], list(idx.iter_entries([('a', )])))
 
     def test_iter_missing_entry_one_index(self):
-        index1 = self.make_index('1')
-        index = CombinedGraphIndex([index1])
-        self.assertEqual([], list(index.iter_entries([('a', )])))
+        idx1 = self.make_index('1')
+        idx = index.CombinedGraphIndex([idx1])
+        self.assertEqual([], list(idx.iter_entries([('a', )])))
 
     def test_iter_missing_entry_two_index(self):
-        index1 = self.make_index('1')
-        index2 = self.make_index('2')
-        index = CombinedGraphIndex([index1, index2])
-        self.assertEqual([], list(index.iter_entries([('a', )])))
+        idx1 = self.make_index('1')
+        idx2 = self.make_index('2')
+        idx = index.CombinedGraphIndex([idx1, idx2])
+        self.assertEqual([], list(idx.iter_entries([('a', )])))
 
     def test_iter_entry_present_one_index_only(self):
-        index1 = self.make_index('1', nodes=[(('key', ), '', ())])
-        index2 = self.make_index('2', nodes=[])
-        index = CombinedGraphIndex([index1, index2])
-        self.assertEqual([(index1, ('key', ), '')],
-            list(index.iter_entries([('key', )])))
+        idx1 = self.make_index('1', nodes=[(('key', ), '', ())])
+        idx2 = self.make_index('2', nodes=[])
+        idx = index.CombinedGraphIndex([idx1, idx2])
+        self.assertEqual([(idx1, ('key', ), '')],
+                         list(idx.iter_entries([('key', )])))
         # and in the other direction
-        index = CombinedGraphIndex([index2, index1])
-        self.assertEqual([(index1, ('key', ), '')],
-            list(index.iter_entries([('key', )])))
+        idx = index.CombinedGraphIndex([idx2, idx1])
+        self.assertEqual([(idx1, ('key', ), '')],
+                         list(idx.iter_entries([('key', )])))
 
     def test_key_count_empty(self):
-        index1 = self.make_index('1', nodes=[])
-        index2 = self.make_index('2', nodes=[])
-        index = CombinedGraphIndex([index1, index2])
-        self.assertEqual(0, index.key_count())
+        idx1 = self.make_index('1', nodes=[])
+        idx2 = self.make_index('2', nodes=[])
+        idx = index.CombinedGraphIndex([idx1, idx2])
+        self.assertEqual(0, idx.key_count())
 
     def test_key_count_sums_index_keys(self):
-        index1 = self.make_index('1', nodes=[
+        idx1 = self.make_index('1', nodes=[
             (('1',), '', ()),
             (('2',), '', ())])
-        index2 = self.make_index('2', nodes=[(('1',), '', ())])
-        index = CombinedGraphIndex([index1, index2])
-        self.assertEqual(3, index.key_count())
+        idx2 = self.make_index('2', nodes=[(('1',), '', ())])
+        idx = index.CombinedGraphIndex([idx1, idx2])
+        self.assertEqual(3, idx.key_count())
 
     def test_validate_bad_child_index_errors(self):
         trans = self.get_transport()
         trans.put_bytes('name', "not an index\n")
-        index1 = GraphIndex(trans, 'name', 13)
-        index = CombinedGraphIndex([index1])
-        self.assertRaises(errors.BadIndexFormatSignature, index.validate)
+        idx1 = index.GraphIndex(trans, 'name', 13)
+        idx = index.CombinedGraphIndex([idx1])
+        self.assertRaises(errors.BadIndexFormatSignature, idx.validate)
 
     def test_validate_empty(self):
-        index = CombinedGraphIndex([])
-        index.validate()
+        idx = index.CombinedGraphIndex([])
+        idx.validate()
 
     def test_key_count_reloads(self):
-        index, reload_counter = self.make_combined_index_with_missing()
-        self.assertEqual(2, index.key_count())
+        idx, reload_counter = self.make_combined_index_with_missing()
+        self.assertEqual(2, idx.key_count())
         self.assertEqual([1, 1, 0], reload_counter)
 
     def test_key_count_no_reload(self):
-        index, reload_counter = self.make_combined_index_with_missing()
-        index._reload_func = None
+        idx, reload_counter = self.make_combined_index_with_missing()
+        idx._reload_func = None
         # Without a _reload_func we just raise the exception
-        self.assertRaises(errors.NoSuchFile, index.key_count)
+        self.assertRaises(errors.NoSuchFile, idx.key_count)
 
     def test_key_count_reloads_and_fails(self):
         # We have deleted all underlying indexes, so we will try to reload, but
         # still fail. This is mostly to test we don't get stuck in an infinite
         # loop trying to reload
-        index, reload_counter = self.make_combined_index_with_missing(
-                                    ['1', '2', '3'])
-        self.assertRaises(errors.NoSuchFile, index.key_count)
+        idx, reload_counter = self.make_combined_index_with_missing(
+            ['1', '2', '3'])
+        self.assertRaises(errors.NoSuchFile, idx.key_count)
         self.assertEqual([2, 1, 1], reload_counter)
 
     def test_iter_entries_reloads(self):
@@ -1392,27 +1399,27 @@
         return self.make_index('index-%s' % name, 0, nodes=nodes)
 
     def test_reorder_after_iter_entries(self):
-        # Four indices: [key1] in index1, [key2,key3] in index2, [] in index3,
-        # [key4] in index4.
-        index = CombinedGraphIndex([])
-        index.insert_index(0, self.make_index_with_simple_nodes('1'), '1')
-        index.insert_index(1, self.make_index_with_simple_nodes('2'), '2')
-        index.insert_index(2, self.make_index_with_simple_nodes('3'), '3')
-        index.insert_index(3, self.make_index_with_simple_nodes('4'), '4')
-        index1, index2, index3, index4 = index._indices
-        # Query a key from index4 and index2.
-        self.assertLength(2, list(index.iter_entries(
+        # Four indices: [key1] in idx1, [key2,key3] in idx2, [] in idx3,
+        # [key4] in idx4.
+        idx = index.CombinedGraphIndex([])
+        idx.insert_index(0, self.make_index_with_simple_nodes('1'), '1')
+        idx.insert_index(1, self.make_index_with_simple_nodes('2'), '2')
+        idx.insert_index(2, self.make_index_with_simple_nodes('3'), '3')
+        idx.insert_index(3, self.make_index_with_simple_nodes('4'), '4')
+        idx1, idx2, idx3, idx4 = idx._indices
+        # Query a key from idx4 and idx2.
+        self.assertLength(2, list(idx.iter_entries(
             [('index-4-key-1',), ('index-2-key-1',)])))
-        # Now index2 and index4 should be moved to the front (and index1 should
-        # still be before index3).
-        self.assertEqual([index2, index4, index1, index3], index._indices)
-        self.assertEqual(['2', '4', '1', '3'], index._index_names)
+        # Now idx2 and idx4 should be moved to the front (and idx1 should
+        # still be before idx3).
+        self.assertEqual([idx2, idx4, idx1, idx3], idx._indices)
+        self.assertEqual(['2', '4', '1', '3'], idx._index_names)
 
     def test_reorder_propagates_to_siblings(self):
         # Two CombinedGraphIndex objects, with the same number of indicies with
         # matching names.
-        cgi1 = CombinedGraphIndex([])
-        cgi2 = CombinedGraphIndex([])
+        cgi1 = index.CombinedGraphIndex([])
+        cgi2 = index.CombinedGraphIndex([])
         cgi1.insert_index(0, self.make_index_with_simple_nodes('1-1'), 'one')
         cgi1.insert_index(1, self.make_index_with_simple_nodes('1-2'), 'two')
         cgi2.insert_index(0, self.make_index_with_simple_nodes('2-1'), 'one')
@@ -1425,23 +1432,23 @@
         self.assertEqual(['two', 'one'], cgi2._index_names)
 
     def test_validate_reloads(self):
-        index, reload_counter = self.make_combined_index_with_missing()
-        index.validate()
+        idx, reload_counter = self.make_combined_index_with_missing()
+        idx.validate()
         self.assertEqual([1, 1, 0], reload_counter)
 
     def test_validate_reloads_midway(self):
-        index, reload_counter = self.make_combined_index_with_missing(['2'])
-        index.validate()
+        idx, reload_counter = self.make_combined_index_with_missing(['2'])
+        idx.validate()
 
     def test_validate_no_reload(self):
-        index, reload_counter = self.make_combined_index_with_missing()
-        index._reload_func = None
-        self.assertRaises(errors.NoSuchFile, index.validate)
+        idx, reload_counter = self.make_combined_index_with_missing()
+        idx._reload_func = None
+        self.assertRaises(errors.NoSuchFile, idx.validate)
 
     def test_validate_reloads_and_fails(self):
-        index, reload_counter = self.make_combined_index_with_missing(
-                                    ['1', '2', '3'])
-        self.assertRaises(errors.NoSuchFile, index.validate)
+        idx, reload_counter = self.make_combined_index_with_missing(
+            ['1', '2', '3'])
+        self.assertRaises(errors.NoSuchFile, idx.validate)
 
     def test_find_ancestors_across_indexes(self):
         key1 = ('key-1',)
@@ -1456,7 +1463,7 @@
             (key3, 'value', ([key2],)),
             (key4, 'value', ([key3],)),
             ])
-        c_index = CombinedGraphIndex([index1, index2])
+        c_index = index.CombinedGraphIndex([index1, index2])
         parent_map, missing_keys = c_index.find_ancestry([key1], 0)
         self.assertEqual({key1: ()}, parent_map)
         self.assertEqual(set(), missing_keys)
@@ -1479,7 +1486,7 @@
         index2 = self.make_index('34', ref_lists=1, nodes=[
             (key3, 'value', ([key2],)),
             ])
-        c_index = CombinedGraphIndex([index1, index2])
+        c_index = index.CombinedGraphIndex([index1, index2])
         # Searching for a key which is actually not present at all should
         # eventually converge
         parent_map, missing_keys = c_index.find_ancestry([key4], 0)
@@ -1487,7 +1494,7 @@
         self.assertEqual(set([key4]), missing_keys)
 
     def test_find_ancestors_no_indexes(self):
-        c_index = CombinedGraphIndex([])
+        c_index = index.CombinedGraphIndex([])
         key1 = ('key-1',)
         parent_map, missing_keys = c_index.find_ancestry([key1], 0)
         self.assertEqual({}, parent_map)
@@ -1505,7 +1512,7 @@
         index2 = self.make_index('34', ref_lists=1, nodes=[
             (key4, 'value', ([key2, key3],)),
             ])
-        c_index = CombinedGraphIndex([index1, index2])
+        c_index = index.CombinedGraphIndex([index1, index2])
         # Searching for a key which is actually not present at all should
         # eventually converge
         parent_map, missing_keys = c_index.find_ancestry([key4], 0)
@@ -1514,20 +1521,20 @@
         self.assertEqual(set([key3]), missing_keys)
 
     def test__find_ancestors_empty_index(self):
-        index = self.make_index('test', ref_lists=1, key_elements=1, nodes=[])
+        idx = self.make_index('test', ref_lists=1, key_elements=1, nodes=[])
         parent_map = {}
         missing_keys = set()
-        search_keys = index._find_ancestors([('one',), ('two',)], 0, parent_map,
-                                            missing_keys)
+        search_keys = idx._find_ancestors([('one',), ('two',)], 0, parent_map,
+                                          missing_keys)
         self.assertEqual(set(), search_keys)
         self.assertEqual({}, parent_map)
         self.assertEqual(set([('one',), ('two',)]), missing_keys)
 
 
-class TestInMemoryGraphIndex(TestCaseWithMemoryTransport):
+class TestInMemoryGraphIndex(tests.TestCaseWithMemoryTransport):
 
     def make_index(self, ref_lists=0, key_elements=1, nodes=[]):
-        result = InMemoryGraphIndex(ref_lists, key_elements=key_elements)
+        result = index.InMemoryGraphIndex(ref_lists, key_elements=key_elements)
         result.add_nodes(nodes)
         return result
 
@@ -1654,23 +1661,26 @@
         index.validate()
 
 
-class TestGraphIndexPrefixAdapter(TestCaseWithMemoryTransport):
+class TestGraphIndexPrefixAdapter(tests.TestCaseWithMemoryTransport):
 
-    def make_index(self, ref_lists=1, key_elements=2, nodes=[], add_callback=False):
-        result = InMemoryGraphIndex(ref_lists, key_elements=key_elements)
+    def make_index(self, ref_lists=1, key_elements=2, nodes=[],
+                   add_callback=False):
+        result = index.InMemoryGraphIndex(ref_lists, key_elements=key_elements)
         result.add_nodes(nodes)
         if add_callback:
             add_nodes_callback = result.add_nodes
         else:
             add_nodes_callback = None
-        adapter = GraphIndexPrefixAdapter(result, ('prefix', ), key_elements - 1,
+        adapter = index.GraphIndexPrefixAdapter(
+            result, ('prefix', ), key_elements - 1,
             add_nodes_callback=add_nodes_callback)
         return result, adapter
 
     def test_add_node(self):
         index, adapter = self.make_index(add_callback=True)
         adapter.add_node(('key',), 'value', ((('ref',),),))
-        self.assertEqual(set([(index, ('prefix', 'key'), 'value', ((('prefix', 'ref'),),))]),
+        self.assertEqual(set([(index, ('prefix', 'key'), 'value',
+                               ((('prefix', 'ref'),),))]),
             set(index.iter_all_entries()))
 
     def test_add_nodes(self):
@@ -1686,12 +1696,13 @@
             set(index.iter_all_entries()))
 
     def test_construct(self):
-        index = InMemoryGraphIndex()
-        adapter = GraphIndexPrefixAdapter(index, ('prefix', ), 1)
+        idx = index.InMemoryGraphIndex()
+        adapter = index.GraphIndexPrefixAdapter(idx, ('prefix', ), 1)
 
     def test_construct_with_callback(self):
-        index = InMemoryGraphIndex()
-        adapter = GraphIndexPrefixAdapter(index, ('prefix', ), 1, index.add_nodes)
+        idx = index.InMemoryGraphIndex()
+        adapter = index.GraphIndexPrefixAdapter(idx, ('prefix', ), 1,
+                                                idx.add_nodes)
 
     def test_iter_all_entries_cross_prefix_map_errors(self):
         index, adapter = self.make_index(nodes=[

=== modified file 'bzrlib/tests/test_knit.py'
--- bzrlib/tests/test_knit.py	2010-06-04 03:09:35 +0000
+++ bzrlib/tests/test_knit.py	2010-06-20 11:18:38 +0000
@@ -26,6 +26,7 @@
     osutils,
     pack,
     tests,
+    transport,
     tuned_gzip,
     )
 from bzrlib.errors import (
@@ -53,7 +54,6 @@
     TestCaseWithTransport,
     TestNotApplicable,
     )
-from bzrlib.transport import get_transport
 from bzrlib.versionedfile import (
     AbsentContentFactory,
     ConstantMapper,
@@ -1571,13 +1571,13 @@
         # could leave an empty .kndx file, which bzr would later claim was a
         # corrupted file since the header was not present. In reality, the file
         # just wasn't created, so it should be ignored.
-        t = get_transport('.')
+        t = transport.get_transport('.')
         t.put_bytes('test.kndx', '')
 
         knit = self.make_test_knit()
 
     def test_knit_index_checks_header(self):
-        t = get_transport('.')
+        t = transport.get_transport('.')
         t.put_bytes('test.kndx', '# not really a knit header\n\n')
         k = self.make_test_knit()
         self.assertRaises(KnitHeaderError, k.keys)

=== modified file 'bzrlib/tests/test_lockable_files.py'
--- bzrlib/tests/test_lockable_files.py	2010-02-17 17:11:16 +0000
+++ bzrlib/tests/test_lockable_files.py	2010-06-20 11:18:38 +0000
@@ -21,6 +21,7 @@
     errors,
     lockdir,
     osutils,
+    transport,
     )
 from bzrlib.errors import BzrBadParameterNotString, NoSuchFile, ReadOnlyError
 from bzrlib.lockable_files import LockableFiles, TransportLock
@@ -37,7 +38,6 @@
                                  ReadOnlyTransaction,
                                  WriteTransaction,
                                  )
-from bzrlib.transport import get_transport
 
 
 # these tests are applied in each parameterized suite for LockableFiles
@@ -279,9 +279,9 @@
 
     def setUp(self):
         TestCaseInTempDir.setUp(self)
-        transport = get_transport('.')
-        transport.mkdir('.bzr')
-        self.sub_transport = transport.clone('.bzr')
+        t = transport.get_transport('.')
+        t.mkdir('.bzr')
+        self.sub_transport = t.clone('.bzr')
         self.lockable = self.get_lockable()
         self.lockable.create_lock()
 
@@ -304,7 +304,7 @@
 
     def setUp(self):
         TestCaseInTempDir.setUp(self)
-        self.transport = get_transport('.')
+        self.transport = transport.get_transport('.')
         self.lockable = self.get_lockable()
         # the lock creation here sets mode - test_permissions on branch
         # tests that implicitly, but it might be a good idea to factor
@@ -347,7 +347,7 @@
         # in test_remote and test_smart as usual.
         b = self.make_branch('foo')
         self.addCleanup(b.bzrdir.transport.disconnect)
-        self.transport = get_transport('.')
+        self.transport = transport.get_transport('.')
         self.lockable = self.get_lockable()
 
     def get_lockable(self):

=== modified file 'bzrlib/tests/test_osutils.py'
--- bzrlib/tests/test_osutils.py	2010-06-08 01:45:09 +0000
+++ bzrlib/tests/test_osutils.py	2010-06-17 14:58:20 +0000
@@ -861,7 +861,7 @@
         self.assertEqual('//HOST/path', osutils._win98_abspath('//HOST/path'))
         # relative path
         cwd = osutils.getcwd().rstrip('/')
-        drive = osutils._nt_splitdrive(cwd)[0]
+        drive = osutils.ntpath.splitdrive(cwd)[0]
         self.assertEqual(cwd+'/path', osutils._win98_abspath('path'))
         self.assertEqual(drive+'/path', osutils._win98_abspath('/path'))
         # unicode path

=== modified file 'bzrlib/tests/test_osutils_encodings.py'
--- bzrlib/tests/test_osutils_encodings.py	2010-06-25 20:34:05 +0000
+++ bzrlib/tests/test_osutils_encodings.py	2010-06-29 16:21:13 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_permissions.py'
--- bzrlib/tests/test_permissions.py	2009-09-07 08:46:00 +0000
+++ bzrlib/tests/test_permissions.py	2010-06-20 11:18:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify
@@ -36,11 +36,11 @@
 from cStringIO import StringIO
 import urllib
 
+from bzrlib import transport
 from bzrlib.branch import Branch
 from bzrlib.bzrdir import BzrDir
 from bzrlib.tests import TestCaseWithTransport, TestSkipped
 from bzrlib.tests.test_sftp_transport import TestCaseWithSFTPServer
-from bzrlib.transport import get_transport
 from bzrlib.workingtree import WorkingTree
 
 
@@ -65,7 +65,7 @@
     :param dir_mode: The mode for all directories
     :param include_base: If false, only check the subdirectories
     """
-    t = get_transport(".")
+    t = transport.get_transport(".")
     if include_base:
         test.assertTransportMode(t, base, dir_mode)
     for root, dirs, files in os.walk(base):
@@ -180,7 +180,7 @@
 
         # bodge around for stubsftpserver not letting use connect
         # more than once
-        _t = get_transport(self.get_url())
+        _t = transport.get_transport(self.get_url())
 
         os.mkdir('local')
         t_local = self.make_branch_and_tree('local')
@@ -257,7 +257,7 @@
         original_umask = os.umask(umask)
 
         try:
-            t = get_transport(self.get_url())
+            t = transport.get_transport(self.get_url())
             # Direct access should be masked by umask
             t._sftp_open_exclusive('a', mode=0666).write('foo\n')
             self.assertTransportMode(t, 'a', 0666 &~umask)

=== modified file 'bzrlib/tests/test_reconcile.py'
--- bzrlib/tests/test_reconcile.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/test_reconcile.py	2010-06-20 11:18:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006, 2008, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,15 +17,18 @@
 """Tests for reconiliation behaviour that is repository independent."""
 
 
-from bzrlib import bzrdir, errors, tests
+from bzrlib import (
+    bzrdir,
+    errors,
+    tests,
+    )
 from bzrlib.reconcile import reconcile, Reconciler
 from bzrlib.revision import Revision
-from bzrlib.tests.per_repository import TestCaseWithRepository
-from bzrlib.transport import get_transport
+from bzrlib.tests import per_repository
 from bzrlib.workingtree import WorkingTree
 
 
-class TestWorksWithSharedRepositories(TestCaseWithRepository):
+class TestWorksWithSharedRepositories(per_repository.TestCaseWithRepository):
 
     def test_reweave_empty(self):
         # we want a repo capable format

=== modified file 'bzrlib/tests/test_remote.py'
--- bzrlib/tests/test_remote.py	2010-05-20 18:23:17 +0000
+++ bzrlib/tests/test_remote.py	2010-06-20 11:18:38 +0000
@@ -38,6 +38,7 @@
     remote,
     repository,
     tests,
+    transport,
     treebuilder,
     urlutils,
     versionedfile,
@@ -63,7 +64,6 @@
     multiply_tests,
     test_server,
     )
-from bzrlib.transport import get_transport
 from bzrlib.transport.memory import MemoryTransport
 from bzrlib.transport.remote import (
     RemoteTransport,
@@ -359,8 +359,8 @@
         a given client_base and transport_base.
         """
         client_medium = medium.SmartClientMedium(client_base)
-        transport = get_transport(transport_base)
-        result = client_medium.remote_path_from_transport(transport)
+        t = transport.get_transport(transport_base)
+        result = client_medium.remote_path_from_transport(t)
         self.assertEqual(expected, result)
 
     def test_remote_path_from_transport(self):
@@ -377,7 +377,7 @@
         a given transport_base and relpath of that transport.  (Note that
         HttpTransportBase is a subclass of SmartClientMedium)
         """
-        base_transport = get_transport(transport_base)
+        base_transport = transport.get_transport(transport_base)
         client_medium = base_transport.get_smart_medium()
         cloned_transport = base_transport.clone(relpath)
         result = client_medium.remote_path_from_transport(cloned_transport)

=== modified file 'bzrlib/tests/test_selftest.py'
--- bzrlib/tests/test_selftest.py	2010-05-14 09:48:51 +0000
+++ bzrlib/tests/test_selftest.py	2010-06-20 11:18:38 +0000
@@ -622,7 +622,6 @@
     """Tests for the convenience functions TestCaseWithTransport introduces."""
 
     def test_get_readonly_url_none(self):
-        from bzrlib.transport import get_transport
         from bzrlib.transport.readonly import ReadonlyTransportDecorator
         self.vfs_transport_factory = memory.MemoryServer
         self.transport_readonly_server = None
@@ -630,15 +629,14 @@
         # for the server
         url = self.get_readonly_url()
         url2 = self.get_readonly_url('foo/bar')
-        t = get_transport(url)
-        t2 = get_transport(url2)
+        t = transport.get_transport(url)
+        t2 = transport.get_transport(url2)
         self.failUnless(isinstance(t, ReadonlyTransportDecorator))
         self.failUnless(isinstance(t2, ReadonlyTransportDecorator))
         self.assertEqual(t2.base[:-1], t.abspath('foo/bar'))
 
     def test_get_readonly_url_http(self):
         from bzrlib.tests.http_server import HttpServer
-        from bzrlib.transport import get_transport
         from bzrlib.transport.http import HttpTransportBase
         self.transport_server = test_server.LocalURLServer
         self.transport_readonly_server = HttpServer
@@ -646,8 +644,8 @@
         url = self.get_readonly_url()
         url2 = self.get_readonly_url('foo/bar')
         # the transport returned may be any HttpTransportBase subclass
-        t = get_transport(url)
-        t2 = get_transport(url2)
+        t = transport.get_transport(url)
+        t2 = transport.get_transport(url2)
         self.failUnless(isinstance(t, HttpTransportBase))
         self.failUnless(isinstance(t2, HttpTransportBase))
         self.assertEqual(t2.base[:-1], t.abspath('foo/bar'))
@@ -691,8 +689,7 @@
 class TestChrootedTest(tests.ChrootedTestCase):
 
     def test_root_is_root(self):
-        from bzrlib.transport import get_transport
-        t = get_transport(self.get_readonly_url())
+        t = transport.get_transport(self.get_readonly_url())
         url = t.base
         self.assertEqual(url, t.clone('..').base)
 

=== modified file 'bzrlib/tests/test_sftp_transport.py'
--- bzrlib/tests/test_sftp_transport.py	2010-02-23 07:43:11 +0000
+++ bzrlib/tests/test_sftp_transport.py	2010-06-20 11:18:38 +0000
@@ -41,7 +41,6 @@
     TestSkipped,
     )
 from bzrlib.tests.http_server import HttpServer
-from bzrlib.transport import get_transport
 import bzrlib.transport.http
 
 if features.paramiko.available():
@@ -190,7 +189,7 @@
         server = stub_sftp.SFTPSiblingAbsoluteServer()
         server.start_server()
         try:
-            transport = get_transport(server.get_url())
+            transport = _mod_transport.get_transport(server.get_url())
             self.assertFalse(transport.abspath('/').endswith('/~/'))
             self.assertTrue(transport.abspath('/').endswith('/'))
             del transport
@@ -313,7 +312,7 @@
         """Test that a real connection attempt raises the right error"""
         from bzrlib.transport import ssh
         self.set_vendor(ssh.ParamikoVendor())
-        t = bzrlib.transport.get_transport(self.bogus_url)
+        t = _mod_transport.get_transport(self.bogus_url)
         self.assertRaises(errors.ConnectionError, t.get, 'foobar')
 
     def test_bad_connection_ssh(self):
@@ -324,7 +323,7 @@
         # However, 'ssh' will create stipple on the output, so instead
         # I'm using run_bzr_subprocess, and parsing the output
         # try:
-        #     t = bzrlib.transport.get_transport(self.bogus_url)
+        #     t = _mod_transport.get_transport(self.bogus_url)
         # except errors.ConnectionError:
         #     # Correct error
         #     pass
@@ -511,7 +510,7 @@
             conf._get_config().update(
                 {'sftptest': {'scheme': 'ssh', 'port': port, 'user': 'bar'}})
             conf._save()
-        t = get_transport('sftp://localhost:%d' % port)
+        t = _mod_transport.get_transport('sftp://localhost:%d' % port)
         # force a connection to be performed.
         t.has('foo')
         return t

=== modified file 'bzrlib/tests/test_smart_request.py'
--- bzrlib/tests/test_smart_request.py	2009-07-27 02:11:25 +0000
+++ bzrlib/tests/test_smart_request.py	2010-06-20 11:18:38 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2009 Canonical Ltd
+# Copyright (C) 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,11 +18,13 @@
 
 import threading
 
-from bzrlib import errors
+from bzrlib import (
+    errors,
+    transport,
+    )
 from bzrlib.bzrdir import BzrDir
 from bzrlib.smart import request
 from bzrlib.tests import TestCase, TestCaseWithMemoryTransport
-from bzrlib.transport import get_transport
 
 
 class NoBodyRequest(request.SmartServerRequest):
@@ -34,7 +36,7 @@
 
 class DoErrorRequest(request.SmartServerRequest):
     """A request that raises an error from self.do()."""
-    
+
     def do(self):
         raise errors.NoSuchFile('xyzzy')
 
@@ -172,7 +174,7 @@
 
 
 class TestRequestJail(TestCaseWithMemoryTransport):
-    
+
     def test_jail(self):
         transport = self.get_transport('blah')
         req = request.SmartServerRequest(transport)
@@ -203,8 +205,8 @@
         # A parent is not allowed
         self.assertRaises(errors.JailBreak, _pre_open_hook, t.clone('..'))
         # A completely unrelated transport is not allowed
-        self.assertRaises(
-            errors.JailBreak, _pre_open_hook, get_transport('http://host/'))
+        self.assertRaises(errors.JailBreak, _pre_open_hook,
+                          transport.get_transport('http://host/'))
 
     def test_open_bzrdir_in_non_main_thread(self):
         """Opening a bzrdir in a non-main thread should work ok.

=== modified file 'bzrlib/tests/test_transport_log.py'
--- bzrlib/tests/test_transport_log.py	2010-02-17 17:11:16 +0000
+++ bzrlib/tests/test_transport_log.py	2010-06-20 11:18:38 +0000
@@ -20,10 +20,9 @@
 
 import types
 
-
+from bzrlib import transport
 from bzrlib.tests import TestCaseWithMemoryTransport
 from bzrlib.trace import mutter
-from bzrlib.transport import get_transport
 from bzrlib.transport.log import TransportLogDecorator
 
 
@@ -31,7 +30,8 @@
 
     def test_log_transport(self):
         base_transport = self.get_transport('')
-        logging_transport = get_transport('log+' + base_transport.base)
+        logging_transport = transport.get_transport(
+            'log+' + base_transport.base)
 
         # operations such as mkdir are logged
         mutter('where are you?')

=== modified file 'bzrlib/tests/test_upgrade.py'
--- bzrlib/tests/test_upgrade.py	2010-02-15 10:46:49 +0000
+++ bzrlib/tests/test_upgrade.py	2010-06-20 11:18:38 +0000
@@ -31,13 +31,13 @@
     bzrdir,
     progress,
     repository,
+    transport,
     workingtree,
     workingtree_4,
     )
 import bzrlib.branch
 from bzrlib.branch import Branch
 from bzrlib.tests import TestCaseWithTransport
-from bzrlib.transport import get_transport
 from bzrlib.upgrade import upgrade
 
 
@@ -80,27 +80,27 @@
             rt.unlock()
         # check a backup was made:
         backup_dir = 'backup.bzr.~1~'
-        transport = get_transport(b.base)
-        transport.stat(backup_dir)
-        transport.stat(backup_dir + '/README')
-        transport.stat(backup_dir + '/branch-format')
-        transport.stat(backup_dir + '/revision-history')
-        transport.stat(backup_dir + '/merged-patches')
-        transport.stat(backup_dir + '/pending-merged-patches')
-        transport.stat(backup_dir + '/pending-merges')
-        transport.stat(backup_dir + '/branch-name')
-        transport.stat(backup_dir + '/branch-lock')
-        transport.stat(backup_dir + '/inventory')
-        transport.stat(backup_dir + '/stat-cache')
-        transport.stat(backup_dir + '/text-store')
-        transport.stat(backup_dir + '/text-store/foo-20051004035611-1591048e9dc7c2d4.gz')
-        transport.stat(backup_dir + '/text-store/foo-20051004035756-4081373d897c3453.gz')
-        transport.stat(backup_dir + '/inventory-store/')
-        transport.stat(backup_dir + '/inventory-store/mbp@sourcefrog.net-20051004035611-176b16534b086b3c.gz')
-        transport.stat(backup_dir + '/inventory-store/mbp@sourcefrog.net-20051004035756-235f2b7dcdddd8dd.gz')
-        transport.stat(backup_dir + '/revision-store/')
-        transport.stat(backup_dir + '/revision-store/mbp@sourcefrog.net-20051004035611-176b16534b086b3c.gz')
-        transport.stat(backup_dir + '/revision-store/mbp@sourcefrog.net-20051004035756-235f2b7dcdddd8dd.gz')
+        t = transport.get_transport(b.base)
+        t.stat(backup_dir)
+        t.stat(backup_dir + '/README')
+        t.stat(backup_dir + '/branch-format')
+        t.stat(backup_dir + '/revision-history')
+        t.stat(backup_dir + '/merged-patches')
+        t.stat(backup_dir + '/pending-merged-patches')
+        t.stat(backup_dir + '/pending-merges')
+        t.stat(backup_dir + '/branch-name')
+        t.stat(backup_dir + '/branch-lock')
+        t.stat(backup_dir + '/inventory')
+        t.stat(backup_dir + '/stat-cache')
+        t.stat(backup_dir + '/text-store')
+        t.stat(backup_dir + '/text-store/foo-20051004035611-1591048e9dc7c2d4.gz')
+        t.stat(backup_dir + '/text-store/foo-20051004035756-4081373d897c3453.gz')
+        t.stat(backup_dir + '/inventory-store/')
+        t.stat(backup_dir + '/inventory-store/mbp@sourcefrog.net-20051004035611-176b16534b086b3c.gz')
+        t.stat(backup_dir + '/inventory-store/mbp@sourcefrog.net-20051004035756-235f2b7dcdddd8dd.gz')
+        t.stat(backup_dir + '/revision-store/')
+        t.stat(backup_dir + '/revision-store/mbp@sourcefrog.net-20051004035611-176b16534b086b3c.gz')
+        t.stat(backup_dir + '/revision-store/mbp@sourcefrog.net-20051004035756-235f2b7dcdddd8dd.gz')
 
     def test_upgrade_with_ghosts(self):
         """Upgrade v0.0.4 tree containing ghost references.
@@ -153,12 +153,12 @@
         # such a branch to metadir must not setup a working tree.
         self.build_tree_contents(_upgrade1_template)
         upgrade('.', bzrdir.BzrDirFormat6())
-        transport = get_transport('.')
-        transport.delete_multi(['.bzr/pending-merges', '.bzr/inventory'])
-        self.assertFalse(transport.has('.bzr/stat-cache'))
+        t = transport.get_transport('.')
+        t.delete_multi(['.bzr/pending-merges', '.bzr/inventory'])
+        self.assertFalse(t.has('.bzr/stat-cache'))
         # XXX: upgrade fails if a backup.bzr is already present
         # -- David Allouche 2006-08-11
-        transport.delete_tree('backup.bzr.~1~')
+        t.delete_tree('backup.bzr.~1~')
         # At this point, we have a format6 branch without checkout files.
         upgrade('.', bzrdir.BzrDirMetaFormat1())
         # The upgrade should not have set up a working tree.

=== modified file 'bzrlib/tests/test_workingtree.py'
--- bzrlib/tests/test_workingtree.py	2010-04-23 08:51:52 +0000
+++ bzrlib/tests/test_workingtree.py	2010-06-20 11:18:38 +0000
@@ -22,6 +22,7 @@
     bzrdir,
     conflicts,
     errors,
+    transport,
     workingtree,
     )
 from bzrlib.branch import Branch
@@ -29,7 +30,6 @@
 from bzrlib.lockdir import LockDir
 from bzrlib.mutabletree import needs_tree_write_lock
 from bzrlib.tests import TestCase, TestCaseWithTransport, TestSkipped
-from bzrlib.transport import get_transport
 from bzrlib.workingtree import (
     TreeEntry,
     TreeDirectory,
@@ -138,7 +138,7 @@
             dir.create_repository()
             dir.create_branch()
             format.initialize(dir)
-            t = get_transport(url)
+            t = transport.get_transport(url)
             found_format = workingtree.WorkingTreeFormat.find_format(dir)
             self.failUnless(isinstance(found_format, format.__class__))
         check_format(workingtree.WorkingTreeFormat3(), "bar")

=== modified file 'bzrlib/textmerge.py'
--- bzrlib/textmerge.py	2010-06-04 03:09:35 +0000
+++ bzrlib/textmerge.py	2010-06-17 09:23:19 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2006, 2009, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/transport/decorator.py'
--- bzrlib/transport/decorator.py	2010-02-23 07:43:11 +0000
+++ bzrlib/transport/decorator.py	2010-06-20 11:18:38 +0000
@@ -20,10 +20,10 @@
 stub functions to allow other decorators to be written easily.
 """
 
-from bzrlib.transport import get_transport, Transport, Server
-
-
-class TransportDecorator(Transport):
+from bzrlib import transport
+
+
+class TransportDecorator(transport.Transport):
     """A no-change decorator for Transports.
 
     Subclasses of this are new transports that are based on an
@@ -50,7 +50,7 @@
                              (url, prefix))
         not_decorated_url = url[len(prefix):]
         if _decorated is None:
-            self._decorated = get_transport(not_decorated_url)
+            self._decorated = transport.get_transport(not_decorated_url)
         else:
             self._decorated = _decorated
         super(TransportDecorator, self).__init__(prefix + self._decorated.base)

=== modified file 'bzrlib/transport/remote.py'
--- bzrlib/transport/remote.py	2010-06-16 05:47:02 +0000
+++ bzrlib/transport/remote.py	2010-06-17 09:23:19 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/workingtree.py'
--- bzrlib/workingtree.py	2010-05-25 17:27:52 +0000
+++ bzrlib/workingtree.py	2010-06-20 11:18:38 +0000
@@ -61,13 +61,12 @@
     revisiontree,
     trace,
     transform,
+    transport,
     ui,
     views,
     xml5,
     xml7,
     )
-import bzrlib.branch
-from bzrlib.transport import get_transport
 from bzrlib.workingtree_4 import (
     WorkingTreeFormat4,
     WorkingTreeFormat5,
@@ -369,10 +368,10 @@
                 return True, None
             else:
                 return True, tree
-        transport = get_transport(location)
-        iterator = bzrdir.BzrDir.find_bzrdirs(transport, evaluate=evaluate,
+        t = transport.get_transport(location)
+        iterator = bzrdir.BzrDir.find_bzrdirs(t, evaluate=evaluate,
                                               list_current=list_current)
-        return [t for t in iterator if t is not None]
+        return [tr for tr in iterator if tr is not None]
 
     # should be deprecated - this is slow and in any case treating them as a
     # container is (we now know) bad style -- mbp 20070302

